# Changelog: `gatsby-source-contentful`

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [8.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@8.2.0/packages/gatsby-source-contentful) (2022-11-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.2)

#### Bug Fixes

- update dependency contentful to ^9.1.34 for gatsby-source-contentful [#36514](https://github.com/gatsbyjs/gatsby/issues/36514) ([fb15745](https://github.com/gatsbyjs/gatsby/commit/fb15745827fb29c6e8ae5bd7c491cf903bfa4211))

#### Chores

- remove tracedSVG [#37093](https://github.com/gatsbyjs/gatsby/issues/37093) ([94c2d73](https://github.com/gatsbyjs/gatsby/commit/94c2d735ad378bf05836e74cc47f7ca9523cabdc))
- Add note about RichTextField to README [#36102](https://github.com/gatsbyjs/gatsby/issues/36102) ([f7b922f](https://github.com/gatsbyjs/gatsby/commit/f7b922f8711597c19d5c80fe48f66c0deb492fe0))

## [8.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@8.1.0/packages/gatsby-source-contentful) (2022-11-22)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.1)

**Note:** Version bump only for package gatsby-source-contentful

## [8.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@8.0.0/packages/gatsby-source-contentful) (2022-11-08)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v5.0)

#### Features

- GraphiQL v2 [#36541](https://github.com/gatsbyjs/gatsby/issues/36541) ([55a601d](https://github.com/gatsbyjs/gatsby/commit/55a601d759589286fb99e97db0ba095a1e6ed894))

#### Chores

- Update peerDeps [#36965](https://github.com/gatsbyjs/gatsby/issues/36965) ([b624442](https://github.com/gatsbyjs/gatsby/commit/b6244424fe8b724cbc23b80b2b4f5424cc2055a4))
- Update to GraphQL 16 [#36813](https://github.com/gatsbyjs/gatsby/issues/36813) ([9f840ad](https://github.com/gatsbyjs/gatsby/commit/9f840adc2e5fada5014f27814b49fbdf914d4ef9))
- apply patches for v5 [#36796](https://github.com/gatsbyjs/gatsby/issues/36796) ([25f79b6](https://github.com/gatsbyjs/gatsby/commit/25f79b6c3719fdf09584ade620a05c66ba2a697c))
- Correct image embed code sample [#36670](https://github.com/gatsbyjs/gatsby/issues/36670) ([1e8b95c](https://github.com/gatsbyjs/gatsby/commit/1e8b95c4cc2a8c1d59adde9fad9a3ea457c6ad48))

## [7.22.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.22.0/packages/gatsby-source-contentful) (2022-09-27)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.24)

**Note:** Version bump only for package gatsby-source-contentful

### [7.21.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.21.1/packages/gatsby-source-contentful) (2022-09-22)

**Note:** Version bump only for package gatsby-source-contentful

## [7.21.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.21.0/packages/gatsby-source-contentful) (2022-09-13)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.23)

#### Chores

- upgrade svgo [#36445](https://github.com/gatsbyjs/gatsby/issues/36445) ([4707fb8](https://github.com/gatsbyjs/gatsby/commit/4707fb8a003d611aa16c6cc5dfefa5dfaafab2b7))

## [7.20.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.20.0/packages/gatsby-source-contentful) (2022-08-30)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.22)

**Note:** Version bump only for package gatsby-source-contentful

### [7.19.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.19.1/packages/gatsby-source-contentful) (2022-08-18)

**Note:** Version bump only for package gatsby-source-contentful

## [7.19.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.19.0/packages/gatsby-source-contentful) (2022-08-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.21)

#### Bug Fixes

- Correctly overwrite field type on Assets [#36337](https://github.com/gatsbyjs/gatsby/issues/36337) ([6ecfe4a](https://github.com/gatsbyjs/gatsby/commit/6ecfe4a05e8f84cd3bac99f45c30be3f1c9d8aa3))

#### Chores

- Update `got` [#36366](https://github.com/gatsbyjs/gatsby/issues/36366) ([ab55e4e](https://github.com/gatsbyjs/gatsby/commit/ab55e4e30a023d56e4c4332dfd278015a0f49ee0))

## [7.18.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.18.0/packages/gatsby-source-contentful) (2022-08-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.20)

#### Features

- skip expensive touchNode step when unnecessary [#36134](https://github.com/gatsbyjs/gatsby/issues/36134) ([ecc7530](https://github.com/gatsbyjs/gatsby/commit/ecc7530b6a935d300c5d7913df0079e04120ec0c))

#### Chores

- migrate to latest Contentful SDK [#35501](https://github.com/gatsbyjs/gatsby/issues/35501) ([40073f8](https://github.com/gatsbyjs/gatsby/commit/40073f8bbca274287b7887b3503159eb709a2987))

## [7.17.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.17.0/packages/gatsby-source-contentful) (2022-07-19)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.19)

#### Bug Fixes

- remove faulty parent [#36043](https://github.com/gatsbyjs/gatsby/issues/36043) ([68e7dfe](https://github.com/gatsbyjs/gatsby/commit/68e7dfeb15465b57e1e99c6dc47a5464f41d6761))
- Add `proxy.protocol` to Joi schema [#36011](https://github.com/gatsbyjs/gatsby/issues/36011) ([538c0cd](https://github.com/gatsbyjs/gatsby/commit/538c0cdc55066e48b8c3a6693b16e5814b3a7e02))

#### Chores

- Update READMEs for better instructions ([0890a5c](https://github.com/gatsbyjs/gatsby/commit/0890a5cf2c881b49193113a1e1bd5fe13a2c328f))

### [7.16.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.16.1/packages/gatsby-source-contentful) (2022-07-12)

**Note:** Version bump only for package gatsby-source-contentful

## [7.16.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.16.0/packages/gatsby-source-contentful) (2022-07-05)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.18)

#### Bug Fixes

- update dependency @vercel/fetch-retry to ^5.1.3 for gatsby-source-contentful [#34987](https://github.com/gatsbyjs/gatsby/issues/34987) ([b5cbdba](https://github.com/gatsbyjs/gatsby/commit/b5cbdba7005a71259eb846f559d0b2a9afff27f0))

## [7.15.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.15.0/packages/gatsby-source-contentful) (2022-06-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.17)

#### Chores

- add peer deps to gatsby-source-contentful docs [#35854](https://github.com/gatsbyjs/gatsby/issues/35854) ([a8405cb](https://github.com/gatsbyjs/gatsby/commit/a8405cb279f3dc07029df6d89ae50db3ccbfc388))

## [7.14.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.14.0/packages/gatsby-source-contentful) (2022-06-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.16)

#### Features

- Add setRequestHeaders action/api [#35655](https://github.com/gatsbyjs/gatsby/issues/35655) ([f520e59](https://github.com/gatsbyjs/gatsby/commit/f520e59599a237b0a8ed105bff931c5058e2bfa8))
- new useContentfulHook to create images on client side [#29263](https://github.com/gatsbyjs/gatsby/issues/29263) ([8d8a800](https://github.com/gatsbyjs/gatsby/commit/8d8a800a40da84c839b1ad73a25648abbc736250))

#### Bug Fixes

- Update `createRemoteFileNode` args [#35422](https://github.com/gatsbyjs/gatsby/issues/35422) fixes [#35363](https://github.com/gatsbyjs/gatsby/issues/35363) ([caaf7a5](https://github.com/gatsbyjs/gatsby/commit/caaf7a555bb42043044f05743eec0ac1ad372cc4))

#### Other Changes

- respect gatsby-plugin-image defaults and extend tests [#33536](https://github.com/gatsbyjs/gatsby/issues/33536) ([2fc7732](https://github.com/gatsbyjs/gatsby/commit/2fc773223bcc5154332b8c0d28f728654998d57d))

### [7.13.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.13.1/packages/gatsby-source-contentful) (2022-06-01)

**Note:** Version bump only for package gatsby-source-contentful

## [7.13.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.13.0/packages/gatsby-source-contentful) (2022-05-24)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.15)

#### Other Changes

- Add RemoteFile interface [#35617](https://github.com/gatsbyjs/gatsby/issues/35617) ([55a4550](https://github.com/gatsbyjs/gatsby/commit/55a4550d7ba70a5b549a58484496113f27a8315a))

## [7.12.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.12.0/packages/gatsby-source-contentful) (2022-05-10)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.14)

#### Features

- add support for tables in Rich Text [#33870](https://github.com/gatsbyjs/gatsby/issues/33870) ([55c7183](https://github.com/gatsbyjs/gatsby/commit/55c718315f3e60e0448af8c3ef5c19fa8d9384b5))
- Add `contentTypeFilter` [#35204](https://github.com/gatsbyjs/gatsby/issues/35204) ([7477b5f](https://github.com/gatsbyjs/gatsby/commit/7477b5f36e841f4b60ef8d21e73a01d5251dbf1d))

#### Bug Fixes

- update dependency fs-extra to ^10.1.0 [#34976](https://github.com/gatsbyjs/gatsby/issues/34976) ([10752ed](https://github.com/gatsbyjs/gatsby/commit/10752ed325ac0ebc2655b994862f66abe072e09f))
- update dependency semver to ^7.3.7 [#35543](https://github.com/gatsbyjs/gatsby/issues/35543) ([f593e00](https://github.com/gatsbyjs/gatsby/commit/f593e005e4561b423a297e967205d833451a2f55))
- Prevent null pointer exception [#35244](https://github.com/gatsbyjs/gatsby/issues/35244) ([7bc7cf6](https://github.com/gatsbyjs/gatsby/commit/7bc7cf665f07e722d77628d6eabed9c11840e29a))

## [7.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.11.0/packages/gatsby-source-contentful) (2022-04-26)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.13)

#### Bug Fixes

- Prevent null pointer exception [#35244](https://github.com/gatsbyjs/gatsby/issues/35244) [#35492](https://github.com/gatsbyjs/gatsby/issues/35492) ([dc25387](https://github.com/gatsbyjs/gatsby/commit/dc25387f4e23ea13cd48817420c733085848807d))

### [7.10.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.10.1/packages/gatsby-source-contentful) (2022-04-13)

**Note:** Version bump only for package gatsby-source-contentful

## [7.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.10.0/packages/gatsby-source-contentful) (2022-04-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.12)

#### Bug Fixes

- handle backreferences on data updates properly [#35214](https://github.com/gatsbyjs/gatsby/issues/35214) ([cf98027](https://github.com/gatsbyjs/gatsby/commit/cf980279eabc6ad5b4a001666b69f7497c21bed1))

### [7.9.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.9.1/packages/gatsby-source-contentful) (2022-03-31)

#### Bug Fixes

- handle backreferences on data updates properly [#35214](https://github.com/gatsbyjs/gatsby/issues/35214) [#35269](https://github.com/gatsbyjs/gatsby/issues/35269) ([b5f0197](https://github.com/gatsbyjs/gatsby/commit/b5f01971d7572edf6733876251fca4c4f6fe4a36))

## [7.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.9.0/packages/gatsby-source-contentful) (2022-03-29)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.11)

#### Chores

- replace all uses of gatsbyjs.org with gatsbyjs.com [#35101](https://github.com/gatsbyjs/gatsby/issues/35101) ([16cff41](https://github.com/gatsbyjs/gatsby/commit/16cff413e154dc4e74fc5be631d52c76273e5cbc))

### [7.8.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.8.2/packages/gatsby-source-contentful) (2022-03-23)

**Note:** Version bump only for package gatsby-source-contentful

### [7.8.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.8.1/packages/gatsby-source-contentful) (2022-03-18)

**Note:** Version bump only for package gatsby-source-contentful

## [7.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.8.0/packages/gatsby-source-contentful) (2022-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.10)

#### Features

- improve gatsby-plugin-image errors [#35068](https://github.com/gatsbyjs/gatsby/issues/35068) ([c0d2eba](https://github.com/gatsbyjs/gatsby/commit/c0d2eba6efb2acce11050d8eda050849f8042a36))
- enable image-cdn [#34831](https://github.com/gatsbyjs/gatsby/issues/34831) ([46fe418](https://github.com/gatsbyjs/gatsby/commit/46fe418d3f26659a0cc09ddaa1f0aa2347010812))
- add support for image-cdn [#34825](https://github.com/gatsbyjs/gatsby/issues/34825) ([29b236b](https://github.com/gatsbyjs/gatsby/commit/29b236b7f2212d062a65d34781a612d715d936ef))

#### Bug Fixes

- Restore recently removed code to fix build errors fix [#35006](https://github.com/gatsbyjs/gatsby/issues/35006) ([57d4f9a](https://github.com/gatsbyjs/gatsby/commit/57d4f9a37b4fc13da321b7c0e57feb3cbb3b578f))

### [7.7.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.7.2/packages/gatsby-source-contentful) (2022-03-09)

**Note:** Version bump only for package gatsby-source-contentful

### [7.7.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.7.1/packages/gatsby-source-contentful) (2022-03-02)

#### Bug Fixes

- Restore recently removed code to fix build errors fix [#35006](https://github.com/gatsbyjs/gatsby/issues/35006) fix [#35021](https://github.com/gatsbyjs/gatsby/issues/35021) ([9f52dd9](https://github.com/gatsbyjs/gatsby/commit/9f52dd9d5c77d17c16176d14d57b40c01b3fa0e6))

## [7.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.7.0/packages/gatsby-source-contentful) (2022-03-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.9)

#### Bug Fixes

- Don't use unique/personal info in [#34860](https://github.com/gatsbyjs/gatsby/issues/34860) ([bf5f841](https://github.com/gatsbyjs/gatsby/commit/bf5f8416bb7f0cec0eabf3911a64eeb33047e15b))

#### Chores

- update dependency nock to ^13.2.4 for gatsby-source-contentful [#34958](https://github.com/gatsbyjs/gatsby/issues/34958) ([f65c076](https://github.com/gatsbyjs/gatsby/commit/f65c076a9b546380e5d9f15d691470bac2ed7592))
- Format changelog files ([088f23b](https://github.com/gatsbyjs/gatsby/commit/088f23b084b67f746a383e06e9216cef83270317))

### [7.6.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.6.2/packages/gatsby-source-contentful) (2022-03-01)

**Note:** Version bump only for package gatsby-source-contentful

### [7.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.6.1/packages/gatsby-source-contentful) (2022-02-25)

**Note:** Version bump only for package gatsby-source-contentful

## [7.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.6.0/packages/gatsby-source-contentful) (2022-02-22)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.8)

#### Features

- improve fetch-remote-file [#34758](https://github.com/gatsbyjs/gatsby/issues/34758) ([19b0304](https://github.com/gatsbyjs/gatsby/commit/19b0304e0a69df32d954659b674f0bb3fc525235))

#### Bug Fixes

- avoid confusion of Gatsby node and Contentful node count in logs [#34830](https://github.com/gatsbyjs/gatsby/issues/34830) ([ac1d777](https://github.com/gatsbyjs/gatsby/commit/ac1d77768be747744d14be35366676886f3e66ba))

#### Refactoring

- remove unnecessary check for existing node [#34829](https://github.com/gatsbyjs/gatsby/issues/34829) ([ee8c874](https://github.com/gatsbyjs/gatsby/commit/ee8c87445a27676406b2b5db20c89d30b2a0f6d7))

## [7.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.5.0/packages/gatsby-source-contentful) (2022-02-08)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.7)

#### Bug Fixes

- update dependency node-fetch to ^2.6.7 for gatsby-source-contentful [#34646](https://github.com/gatsbyjs/gatsby/issues/34646) ([12b0056](https://github.com/gatsbyjs/gatsby/commit/12b005670dbd0e2819dcc2563cfc1333344541f2))
- support Content Types named Tag [#34585](https://github.com/gatsbyjs/gatsby/issues/34585) ([aa42053](https://github.com/gatsbyjs/gatsby/commit/aa42053ddd7161c62a557189a747aa96a291eadf))

#### Chores

- update dependency nock to ^13.2.2 for gatsby-source-contentful [#34640](https://github.com/gatsbyjs/gatsby/issues/34640) ([33b6fc7](https://github.com/gatsbyjs/gatsby/commit/33b6fc738afd3d539f6154904c665ab99ecb37ae))

#### Other Changes

- Contentful warm builds [#34678](https://github.com/gatsbyjs/gatsby/issues/34678) ([d43112f](https://github.com/gatsbyjs/gatsby/commit/d43112f418f56a5d2ffb75f5bc59b5d8f132eff4))
- clean up and refactor Contentful unit tests [#34584](https://github.com/gatsbyjs/gatsby/issues/34584) ([102eec0](https://github.com/gatsbyjs/gatsby/commit/102eec0b4a83d189f7ba7d47721da86f785860ab))

## [7.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.4.0/packages/gatsby-source-contentful) (2022-01-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.6)

#### Features

- create more resilient wrapper around sharp [#34339](https://github.com/gatsbyjs/gatsby/issues/34339) ([a3fa646](https://github.com/gatsbyjs/gatsby/commit/a3fa646eb6b51004ef9e85a32f7be1cf2d0cc2db))

#### Bug Fixes

- enable tag support for assets [#34480](https://github.com/gatsbyjs/gatsby/issues/34480) ([391b16d](https://github.com/gatsbyjs/gatsby/commit/391b16d21955f56a3514d52d487cee807ce6f7ad))

### [7.3.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.3.2/packages/gatsby-source-contentful) (2022-01-17)

**Note:** Version bump only for package gatsby-source-contentful

### [7.3.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.3.1/packages/gatsby-source-contentful) (2022-01-12)

**Note:** Version bump only for package gatsby-source-contentful

## [7.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.3.0/packages/gatsby-source-contentful) (2022-01-11)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.5)

#### Bug Fixes

- createNode return promise [#34399](https://github.com/gatsbyjs/gatsby/issues/34399) ([8a9b023](https://github.com/gatsbyjs/gatsby/commit/8a9b023510650e71f00f8c5c3d841e199f5b3ad0))
- fix base64 aspect ratio fix [#33533](https://github.com/gatsbyjs/gatsby/issues/33533) ([d24268f](https://github.com/gatsbyjs/gatsby/commit/d24268f2f0565cf97903b05dafd63ffa8815985f))
- don't rely on getNodesByType [#34276](https://github.com/gatsbyjs/gatsby/issues/34276) ([faa5c8c](https://github.com/gatsbyjs/gatsby/commit/faa5c8c7c28ee1c3a53275fe8005740e2ee745c5))

#### Chores

- upgrade jest [#33277](https://github.com/gatsbyjs/gatsby/issues/33277) ([34cb202](https://github.com/gatsbyjs/gatsby/commit/34cb202d9c8c202f082edb03c4cc1815eb81abe1))

## [7.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.2.0/packages/gatsby-source-contentful) (2021-12-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.4)

#### Features

- Update contenful nodemanifest api [#34100](https://github.com/gatsbyjs/gatsby/issues/34100) ([b167f65](https://github.com/gatsbyjs/gatsby/commit/b167f65888117cb981273d824b7c0bfb5f083451))

#### Bug Fixes

- update minor and patch dependencies for gatsby-source-contentful [#34138](https://github.com/gatsbyjs/gatsby/issues/34138) ([395b432](https://github.com/gatsbyjs/gatsby/commit/395b4321379d117f1c64aeb9030e3b0714b8499f))

#### Chores

- update dependency nock to ^13.2.1 for gatsby-source-contentful [#34141](https://github.com/gatsbyjs/gatsby/issues/34141) ([eb69198](https://github.com/gatsbyjs/gatsby/commit/eb69198eb0425ebbdc1bc20bb74525088f3dba39))

## [7.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.1.0/packages/gatsby-source-contentful) (2021-12-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.3)

#### Chores

- Add note to Rich Text docs [#34083](https://github.com/gatsbyjs/gatsby/issues/34083) ([19149ac](https://github.com/gatsbyjs/gatsby/commit/19149acd751977b74b785e3a431123d49add0e56))

## [7.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@7.0.0/packages/gatsby-source-contentful) (2021-11-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.2)

#### Features

- modifying schemes to add support for AVIF images [#33903](https://github.com/gatsbyjs/gatsby/issues/33903) ([8ff9cc3](https://github.com/gatsbyjs/gatsby/commit/8ff9cc30edd8db3fcbb3726cb3441a768299abbd))

#### Bug Fixes

- update minor and patch dependencies for gatsby-source-contentful [#33000](https://github.com/gatsbyjs/gatsby/issues/33000) ([c1b2adf](https://github.com/gatsbyjs/gatsby/commit/c1b2adfe0cecf46179607d17e3d21cc22e3e0a34))

#### Chores

- update dependency nock to ^13.1.4 for gatsby-source-contentful [#33754](https://github.com/gatsbyjs/gatsby/issues/33754) ([c96bd1c](https://github.com/gatsbyjs/gatsby/commit/c96bd1c7fd6c82ef4b7a7a0d155559a7a19c794f))

#### Other Changes

- remove gatsby-image support [#33528](https://github.com/gatsbyjs/gatsby/issues/33528) ([94ddb6b](https://github.com/gatsbyjs/gatsby/commit/94ddb6bade4f3042e3535cb063ca1d6dc4bf7431))

### [6.1.4](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.1.4/packages/gatsby-source-contentful) (2021-11-15)

**Note:** Version bump only for package gatsby-source-contentful

### [6.1.3](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.1.3/packages/gatsby-source-contentful) (2021-11-11)

**Note:** Version bump only for package gatsby-source-contentful

### [6.1.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.1.2/packages/gatsby-source-contentful) (2021-11-10)

**Note:** Version bump only for package gatsby-source-contentful

### [6.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.1.1/packages/gatsby-source-contentful) (2021-11-09)

**Note:** Version bump only for package gatsby-source-contentful

## [6.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.1.0/packages/gatsby-source-contentful) (2021-11-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.1)

#### Bug Fixes

- fix downloadLocal for LMDB fix [#33715](https://github.com/gatsbyjs/gatsby/issues/33715) ([a8745ea](https://github.com/gatsbyjs/gatsby/commit/a8745ea26624ef758080846adefff3d5d7784291))

#### Other Changes

- Link to knowledgebase doc for setup and quick deploy for gatsbyjs.com/contentful [#33726](https://github.com/gatsbyjs/gatsby/issues/33726) ([06d192d](https://github.com/gatsbyjs/gatsby/commit/06d192dd0c6b1eda9b6503652b0a9f1270b0a615))

## [6.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@6.0.0/packages/gatsby-source-contentful) (2021-10-21)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v4.0)

#### Features

- Add node manifest support for previews [#33297](https://github.com/gatsbyjs/gatsby/issues/33297) ([3a385a5](https://github.com/gatsbyjs/gatsby/commit/3a385a5fa18e3cce1f3455059eeb2fb667561382))
- move types into createSchemaCustomization [#33207](https://github.com/gatsbyjs/gatsby/issues/33207) ([d01a373](https://github.com/gatsbyjs/gatsby/commit/d01a373f1d7887a2afe57834e13da738cca21b2e))

#### Bug Fixes

- createUrl now enforces https protocol [#33236](https://github.com/gatsbyjs/gatsby/issues/33236) ([e166cfc](https://github.com/gatsbyjs/gatsby/commit/e166cfc267de989e0c7744316924c4a3de605e5d))

#### Chores

- clean up code base and introduce es-module syntax [#33213](https://github.com/gatsbyjs/gatsby/issues/33213) ([86f6645](https://github.com/gatsbyjs/gatsby/commit/86f6645ef27a9ef753211c442a53d74127c1a6ff))
- download assets via gatsby-core-utils [#33482](https://github.com/gatsbyjs/gatsby/issues/33482) ([3f2d581](https://github.com/gatsbyjs/gatsby/commit/3f2d581e63677711512cca11b220239e52532dfc))
- Improve README on rich text ref [#33401](https://github.com/gatsbyjs/gatsby/issues/33401) ([9505cac](https://github.com/gatsbyjs/gatsby/commit/9505caca831047aff3a4d6c544b985a6e0b267b1))
- Fix tests for WordPress, Contentful & update CircleCI Fix [#33256](https://github.com/gatsbyjs/gatsby/issues/33256) ([1d8ebb2](https://github.com/gatsbyjs/gatsby/commit/1d8ebb2588e3549105305000dd5d6572396b1f0e))
- Fix RichText example Fix [#33261](https://github.com/gatsbyjs/gatsby/issues/33261) ([617e876](https://github.com/gatsbyjs/gatsby/commit/617e8766b645b15d3702bc4c1def2ebb6583b32c))

### [5.14.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.14.1/packages/gatsby-source-contentful) (2021-10-16)

#### Features

- Add node manifest support for previews [#33297](https://github.com/gatsbyjs/gatsby/issues/33297) [#33531](https://github.com/gatsbyjs/gatsby/issues/33531) ([a220b7c](https://github.com/gatsbyjs/gatsby/commit/a220b7c0514d5bf4ff37be43a5de8b768a5841f0))

#### Chores

- Fix tests for WordPress, Contentful & update CircleCI Fix [#33256](https://github.com/gatsbyjs/gatsby/issues/33256) Fix [#33439](https://github.com/gatsbyjs/gatsby/issues/33439) ([1759c1c](https://github.com/gatsbyjs/gatsby/commit/1759c1c4f588d357572c0280ffd02b304d2408e0))

## [5.14.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.14.0/packages/gatsby-source-contentful) (2021-09-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.14)

#### Bug Fixes

- asset download retry [#33024](https://github.com/gatsbyjs/gatsby/issues/33024) ([a77695e](https://github.com/gatsbyjs/gatsby/commit/a77695eaa93ba40e664ac2d215bbfe7266afbc46))

#### Chores

- update babel monorepo [#32996](https://github.com/gatsbyjs/gatsby/issues/32996) ([048c7a7](https://github.com/gatsbyjs/gatsby/commit/048c7a727bbc6a9ad8e27afba72ee20e946c4aaa))
- update dependency nock to ^13.1.3 for gatsby-source-contentful [#32977](https://github.com/gatsbyjs/gatsby/issues/32977) ([4384ac8](https://github.com/gatsbyjs/gatsby/commit/4384ac8547b01dc62295014479af1b59567cac9a))
- update fs-extra (major) [#32654](https://github.com/gatsbyjs/gatsby/issues/32654) ([eea2687](https://github.com/gatsbyjs/gatsby/commit/eea26873f386d02f27c1708291da0c56585663eb))

#### Other Changes

- fix snapshot fix [#32960](https://github.com/gatsbyjs/gatsby/issues/32960) ([4ef8437](https://github.com/gatsbyjs/gatsby/commit/4ef84376be35cf439af22343c6e9ef57253db405))

## [5.13.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.13.0/packages/gatsby-source-contentful) (2021-09-01)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.13)

#### Chores

- re-generate changelogs [#32886](https://github.com/gatsbyjs/gatsby/issues/32886) ([417df15](https://github.com/gatsbyjs/gatsby/commit/417df15230be368a9db91f2ad1a9bc0442733177))

#### Other Changes

- docs(gatsby-source-contentful) provide a code example for rendering rich-text embedded assets images [#32777](https://github.com/gatsbyjs/gatsby/issues/32777) ([8c820d1](https://github.com/gatsbyjs/gatsby/commit/8c820d1b3c55ae28b444364c78e6db92008dee5c))

## [5.12.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.12.0/packages/gatsby-source-contentful) (2021-08-18)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.12)

#### Bug Fixes

- base64 previews now reflect all query options [#32709](https://github.com/gatsbyjs/gatsby/issues/32709) ([f5dab4f](https://github.com/gatsbyjs/gatsby/commit/f5dab4f5acfc73e613c5b7a31234ed876e1efd8f))
- update minor and patch dependencies for gatsby-source-contentful [#32608](https://github.com/gatsbyjs/gatsby/issues/32608) ([229af4f](https://github.com/gatsbyjs/gatsby/commit/229af4f28a4147932829c1369ed43f87436c63e1))
- update dependency chalk to ^4.1.2 [#32576](https://github.com/gatsbyjs/gatsby/issues/32576) ([5c4e109](https://github.com/gatsbyjs/gatsby/commit/5c4e109313cd1b59f814332fdb4dfdcaf1faed1a))

#### Chores

- update dependency nock to ^13.1.1 for gatsby-source-contentful [#32624](https://github.com/gatsbyjs/gatsby/issues/32624) ([140da46](https://github.com/gatsbyjs/gatsby/commit/140da4653fd4a2b9a7b5c96e3d2b80189c5e675e))
- update formatting & linting [#32626](https://github.com/gatsbyjs/gatsby/issues/32626) ([4a765b5](https://github.com/gatsbyjs/gatsby/commit/4a765b5c62208d58f0bd7fd59558160c0b9feed3))
- update babel monorepo [#32564](https://github.com/gatsbyjs/gatsby/issues/32564) ([a554998](https://github.com/gatsbyjs/gatsby/commit/a554998b4f6765103b650813cf52dbfcc575fecf))

### [5.11.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.11.1/packages/gatsby-source-contentful) (2021-08-09)

#### Bug Fixes

- base64 previews now reflect all query options [#32709](https://github.com/gatsbyjs/gatsby/issues/32709) [#32746](https://github.com/gatsbyjs/gatsby/issues/32746) ([4f8d93b](https://github.com/gatsbyjs/gatsby/commit/4f8d93b7938236b5fcdc20a5f233fd924010e9cb))

## [5.11.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.11.0/packages/gatsby-source-contentful) (2021-08-04)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.11)

**Note:** Version bump only for package gatsby-source-contentful

## [5.10.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.10.0/packages/gatsby-source-contentful) (2021-07-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.10)

#### Features

- add support for tags [#31746](https://github.com/gatsbyjs/gatsby/issues/31746) ([15b49b6](https://github.com/gatsbyjs/gatsby/commit/15b49b65ed92c24ce3f5c0f6720723b0c28319fe))
- add support image corner radius [#32333](https://github.com/gatsbyjs/gatsby/issues/32333) closes [#29784](https://github.com/gatsbyjs/gatsby/issues/29784) ([848b56e](https://github.com/gatsbyjs/gatsby/commit/848b56e0919fedd2ed21d3a0ad36f86b880d2e6d))

#### Bug Fixes

- update dependency chalk to ^4.1.1 [#32250](https://github.com/gatsbyjs/gatsby/issues/32250) ([bd03035](https://github.com/gatsbyjs/gatsby/commit/bd03035b35d4e2f69e86b9ff3bbcfb8bd3eece4a))

#### Chores

- update babel monorepo [#32238](https://github.com/gatsbyjs/gatsby/issues/32238) ([466d4c0](https://github.com/gatsbyjs/gatsby/commit/466d4c087bbc96abb942a02c67243bcc9a4f2a0a))

## [5.9.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.9.0/packages/gatsby-source-contentful) (2021-07-07)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.9)

#### Bug Fixes

- force base64 previews to be formatted as JPEG [#32155](https://github.com/gatsbyjs/gatsby/issues/32155) ([7c343ff](https://github.com/gatsbyjs/gatsby/commit/7c343ffd803c6ada0602678b9a6e6d164a58a4fb))
- reenable support for gif images [#31986](https://github.com/gatsbyjs/gatsby/issues/31986) ([a30aa0b](https://github.com/gatsbyjs/gatsby/commit/a30aa0b5c8e45e2634eb939e7533230b072eb9bd))
- Don't ignore errors thrown when fetching assets [#24288](https://github.com/gatsbyjs/gatsby/issues/24288) ([2d4a791](https://github.com/gatsbyjs/gatsby/commit/2d4a791810a7f4baaff8d047324ddbe252db952b))

## [5.8.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.8.0/packages/gatsby-source-contentful) (2021-06-23)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.8)

#### Bug Fixes

- reenable support for gif images [#31986](https://github.com/gatsbyjs/gatsby/issues/31986) [#32029](https://github.com/gatsbyjs/gatsby/issues/32029) ([f795be3](https://github.com/gatsbyjs/gatsby/commit/f795be3e451594a0962a147c82073a47c976d73b))
- improve error message when dominant color can't be generated [#31879](https://github.com/gatsbyjs/gatsby/issues/31879) ([1f89646](https://github.com/gatsbyjs/gatsby/commit/1f89646707c338b1ee93a4c5cf0ee36cb89c2037))

#### Chores

- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) ([7d42e8d](https://github.com/gatsbyjs/gatsby/commit/7d42e8d866e46e9c39838d812d080d06433f7060))

### [5.7.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.7.1/packages/gatsby-source-contentful) (2021-06-10)

#### Chores

- bump babel minor [#31857](https://github.com/gatsbyjs/gatsby/issues/31857) [#31859](https://github.com/gatsbyjs/gatsby/issues/31859) ([8636025](https://github.com/gatsbyjs/gatsby/commit/863602567930a39142ed33d9d1f1813b7dec8686))

## [5.7.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.7.0/packages/gatsby-source-contentful) (2021-06-09)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.7)

#### Bug Fixes

- pass reporter to retry function [#31608](https://github.com/gatsbyjs/gatsby/issues/31608) ([26dbe09](https://github.com/gatsbyjs/gatsby/commit/26dbe0913e19db50c8371a1c0b1277b09759f224))
- fix progress bar fix [#31467](https://github.com/gatsbyjs/gatsby/issues/31467) ([2e1f7e3](https://github.com/gatsbyjs/gatsby/commit/2e1f7e325adfe055f828336c247d71404f461be5))
- use correct name for crop parameter in query string [#31492](https://github.com/gatsbyjs/gatsby/issues/31492) ([0d832d9](https://github.com/gatsbyjs/gatsby/commit/0d832d97ac81edc7c8414a3d7d5569374db4414c))

#### Chores

- update babel monorepo [#31143](https://github.com/gatsbyjs/gatsby/issues/31143) ([701ab2f](https://github.com/gatsbyjs/gatsby/commit/701ab2f6690c3f1bbaf60cf572513ea566cc9ec9))

### [5.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.6.1/packages/gatsby-source-contentful) (2021-06-02)

#### Bug Fixes

- fix progress bar fix [#31467](https://github.com/gatsbyjs/gatsby/issues/31467) fix [#31722](https://github.com/gatsbyjs/gatsby/issues/31722) ([749f1ec](https://github.com/gatsbyjs/gatsby/commit/749f1ec5d48db747f6d137705d07b2d11e5751c8))
- pass reporter to retry function [#31608](https://github.com/gatsbyjs/gatsby/issues/31608) [#31721](https://github.com/gatsbyjs/gatsby/issues/31721) ([20b8ddc](https://github.com/gatsbyjs/gatsby/commit/20b8ddc3720c4bfee374777fdacb54ad2ddec6ec))

## [5.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.6.0/packages/gatsby-source-contentful) (2021-05-25)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.6)

#### Bug Fixes

- use correct name for crop parameter in query string [#31492](https://github.com/gatsbyjs/gatsby/issues/31492) [#31577](https://github.com/gatsbyjs/gatsby/issues/31577) ([998a28b](https://github.com/gatsbyjs/gatsby/commit/998a28ba0726e67b8053631c18afb8c3f2cae52f))

## [5.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.5.0/packages/gatsby-source-contentful) (2021-05-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.5)

**Note:** Version bump only for package gatsby-source-contentful

## [5.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.4.0/packages/gatsby-source-contentful) (2021-04-28)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.4)

#### Features

- warn users when using restricted content type names [#30715](https://github.com/gatsbyjs/gatsby/issues/30715) Closes [#30089](https://github.com/gatsbyjs/gatsby/issues/30089) ([62a4121](https://github.com/gatsbyjs/gatsby/commit/62a4121a32b7eb2ad4e7e3337c2730993c202e20))

#### Bug Fixes

- De-dupe type names [#30834](https://github.com/gatsbyjs/gatsby/issues/30834) ([71ec0cd](https://github.com/gatsbyjs/gatsby/commit/71ec0cdb0f6e5143f3eec9a4f918104c6b3a815d))

## [5.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.3.0/packages/gatsby-source-contentful) (2021-04-14)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.3)

#### Features

- update docs and improve errors [#30538](https://github.com/gatsbyjs/gatsby/issues/30538) fixes [#26909](https://github.com/gatsbyjs/gatsby/issues/26909) ([2cc90df](https://github.com/gatsbyjs/gatsby/commit/2cc90df8b43cd213bb8dd8d8bd0ddbc6087e81c4))
- Increase Contentful sync by up to 10x [#30422](https://github.com/gatsbyjs/gatsby/issues/30422) ([b9791fe](https://github.com/gatsbyjs/gatsby/commit/b9791feaba554fe19910ca9ab25f3cb660d3bf05))

#### Bug Fixes

- De-dupe type names [#30834](https://github.com/gatsbyjs/gatsby/issues/30834) [#30850](https://github.com/gatsbyjs/gatsby/issues/30850) ([164f9a1](https://github.com/gatsbyjs/gatsby/commit/164f9a1d9fa339c110ee6cf769f2856cac1ce484))
- make gatsby-plugin-image a peer dependency [#30709](https://github.com/gatsbyjs/gatsby/issues/30709) fixes [#30519](https://github.com/gatsbyjs/gatsby/issues/30519) ([0f3fa4e](https://github.com/gatsbyjs/gatsby/commit/0f3fa4e6aca1e250da7bce5cf8de0d24b0d9af44))
- ensure fragments are properly distributed [#30555](https://github.com/gatsbyjs/gatsby/issues/30555) ([079d7f8](https://github.com/gatsbyjs/gatsby/commit/079d7f80e42b1f6bf46620eb2eec124a229888c8))
- Contentful page limit backoff [#30549](https://github.com/gatsbyjs/gatsby/issues/30549) ([9d883c6](https://github.com/gatsbyjs/gatsby/commit/9d883c66093fee4c49c87377e7eb65ab2d83e482))
- set proper defaults for gatsby-plugin-image [#30536](https://github.com/gatsbyjs/gatsby/issues/30536) ([418c3bc](https://github.com/gatsbyjs/gatsby/commit/418c3bca3fc8eceefd51c4e66d3956722b2358f0))
- Improve network error handling [#30257](https://github.com/gatsbyjs/gatsby/issues/30257) ([c1ac5e4](https://github.com/gatsbyjs/gatsby/commit/c1ac5e43309bc1e6201b948ab715bafc337feaf5))

#### Chores

- create compiled files in dist instead of . [#30414](https://github.com/gatsbyjs/gatsby/issues/30414) ([c0f3676](https://github.com/gatsbyjs/gatsby/commit/c0f36767933c74a1da3a2801f785366aa0b7e510))

### [5.2.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.2.1/packages/gatsby-source-contentful) (2021-04-07)

**Note:** Version bump only for package gatsby-source-contentful

## [5.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.2.0/packages/gatsby-source-contentful) (2021-03-30)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.2)

#### Features

- Increase Contentful sync by up to 10x [#30422](https://github.com/gatsbyjs/gatsby/issues/30422) [#30571](https://github.com/gatsbyjs/gatsby/issues/30571) ([b3861fd](https://github.com/gatsbyjs/gatsby/commit/b3861fdc40fc48d71289d4e62a89d36a889efa50))

#### Bug Fixes

- Contentful page limit backoff [#30549](https://github.com/gatsbyjs/gatsby/issues/30549) [#30569](https://github.com/gatsbyjs/gatsby/issues/30569) ([8302274](https://github.com/gatsbyjs/gatsby/commit/8302274720a6b27b41c467aa14c09f4630932631))
- Improve network error handling [#30257](https://github.com/gatsbyjs/gatsby/issues/30257) [#30568](https://github.com/gatsbyjs/gatsby/issues/30568) ([cf975d0](https://github.com/gatsbyjs/gatsby/commit/cf975d0631e1f9f61791fa657b64c632036e4539))

#### Chores

- updates to downloadLocal description [#30396](https://github.com/gatsbyjs/gatsby/issues/30396) ([ae98a3c](https://github.com/gatsbyjs/gatsby/commit/ae98a3c5cb397aba94855e2fc642785777e83786))

### [5.1.3](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.1.3/packages/gatsby-source-contentful) (2021-03-30)

**Note:** Version bump only for package gatsby-source-contentful

### [5.1.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.1.2/packages/gatsby-source-contentful) (2021-03-23)

**Note:** Version bump only for package gatsby-source-contentful

### [5.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.1.1/packages/gatsby-source-contentful) (2021-03-18)

**Note:** Version bump only for package gatsby-source-contentful

## [5.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.1.0/packages/gatsby-source-contentful) (2021-03-16)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.1)

#### Bug Fixes

- Set image source format [#30103](https://github.com/gatsbyjs/gatsby/issues/30103) ([759ed72](https://github.com/gatsbyjs/gatsby/commit/759ed722c3fd69216e7d8c7b0212ea2a9335a16e))
- Remove image beta warning [#29980](https://github.com/gatsbyjs/gatsby/issues/29980) ([2f59995](https://github.com/gatsbyjs/gatsby/commit/2f599952142b9f2350ef268187839dcbe01ccd74))
- update lodash monorepo to ^4.17.21 [#29382](https://github.com/gatsbyjs/gatsby/issues/29382) ([9fd287b](https://github.com/gatsbyjs/gatsby/commit/9fd287ba89eacd55652d468b18f6e1526230e7c6))
- use reporter progressbar instead of own [#29853](https://github.com/gatsbyjs/gatsby/issues/29853) ([6c8e277](https://github.com/gatsbyjs/gatsby/commit/6c8e277a535d104b0f545d90dd0dd7d3f688839c))

#### Chores

- fix spelling, grammar, links, whitespace and end of files fix [#30063](https://github.com/gatsbyjs/gatsby/issues/30063) ([542d945](https://github.com/gatsbyjs/gatsby/commit/542d94550caece4cb3fecf46ee50c1ac4dce3439))
- update eslint to fix linting issues fix [#29988](https://github.com/gatsbyjs/gatsby/issues/29988) ([5636389](https://github.com/gatsbyjs/gatsby/commit/5636389e8fa626c644e90abc14589e9961d98c68))
- update peerdeps to latest major versions [#29857](https://github.com/gatsbyjs/gatsby/issues/29857) ([0a3e922](https://github.com/gatsbyjs/gatsby/commit/0a3e92296ad1da1f1358d5f8909cdba5b3370b9b))

#### Other Changes

- contentful <3 gatsby v3 [#29675](https://github.com/gatsbyjs/gatsby/issues/29675) ([bce0b21](https://github.com/gatsbyjs/gatsby/commit/bce0b21dbf277012ad8de4043a8d23840e937790))

### [5.0.3](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.0.3/packages/gatsby-source-contentful) (2021-03-11)

#### Other Changes

- contentful <3 gatsby v3 [#29675](https://github.com/gatsbyjs/gatsby/issues/29675) [#30173](https://github.com/gatsbyjs/gatsby/issues/30173) ([0331c51](https://github.com/gatsbyjs/gatsby/commit/0331c51a8d28facddfcabd6c53b6737a5cf136f9))

### [5.0.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.0.2/packages/gatsby-source-contentful) (2021-03-10)

#### Bug Fixes

- Set image source format [#30103](https://github.com/gatsbyjs/gatsby/issues/30103) [#30134](https://github.com/gatsbyjs/gatsby/issues/30134) ([decca5a](https://github.com/gatsbyjs/gatsby/commit/decca5a9124aacc15f8a04afaeba5f0aefa036ce))

### [5.0.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.0.1/packages/gatsby-source-contentful) (2021-03-06)

#### Bug Fixes

- Remove image beta warning [#29980](https://github.com/gatsbyjs/gatsby/issues/29980) [#30048](https://github.com/gatsbyjs/gatsby/issues/30048) ([ab41976](https://github.com/gatsbyjs/gatsby/commit/ab419769691cf4922993bf50074c7ff9534e7f59))

## [5.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@5.0.0/packages/gatsby-source-contentful) (2021-03-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v3.0)

#### Features

- improve Contentful image handling [#29398](https://github.com/gatsbyjs/gatsby/issues/29398) ([c1e95a4](https://github.com/gatsbyjs/gatsby/commit/c1e95a43e39870a099304fc4822001b9ad2a405a))
- Add resolver helper and improve custom hook [#29342](https://github.com/gatsbyjs/gatsby/issues/29342) ([e567aa8](https://github.com/gatsbyjs/gatsby/commit/e567aa82695cf19a7d9eb4c280be767e562c3976))
- Remove deleteNode with ID arg [#29205](https://github.com/gatsbyjs/gatsby/issues/29205) ([01b6123](https://github.com/gatsbyjs/gatsby/commit/01b6123d7b1fca922a4fe450651d39e6de4b96a1))
- Remove old touchNode signature [#29245](https://github.com/gatsbyjs/gatsby/issues/29245) ([0927cb0](https://github.com/gatsbyjs/gatsby/commit/0927cb007d0774bed8cf5ead3130ff6b7c3393b7))

#### Bug Fixes

- retry on network errors when checking credentials [#29664](https://github.com/gatsbyjs/gatsby/issues/29664) ([b95a199](https://github.com/gatsbyjs/gatsby/commit/b95a199817ec100d7723868c0d25faf868c327f0))
- Correct supported image formats [#29562](https://github.com/gatsbyjs/gatsby/issues/29562) ([3b4d32f](https://github.com/gatsbyjs/gatsby/commit/3b4d32f0b2d6aef3193213252c3eb813cc2cbea9))
- fix import fix [#29522](https://github.com/gatsbyjs/gatsby/issues/29522) ([a639e9d](https://github.com/gatsbyjs/gatsby/commit/a639e9dcc30ee26f826f5ff2e63c0261a29837af))
- add common-tags to package.jsons [#29424](https://github.com/gatsbyjs/gatsby/issues/29424) ([94689ad](https://github.com/gatsbyjs/gatsby/commit/94689addc401f62248928a4df1587922261c96e6))

#### Chores

- update peerdeps to latest major versions [#29857](https://github.com/gatsbyjs/gatsby/issues/29857) [#29867](https://github.com/gatsbyjs/gatsby/issues/29867) ([cb3b1ca](https://github.com/gatsbyjs/gatsby/commit/cb3b1ca040ef4851db048141002b07dcd003d2ce))
- migrate to latest Contentful SDK [#29520](https://github.com/gatsbyjs/gatsby/issues/29520) ([4d8835d](https://github.com/gatsbyjs/gatsby/commit/4d8835d644f435197c656490a1e55b9e5a5a1d66))
- Remove deprecated image resolvers [#29425](https://github.com/gatsbyjs/gatsby/issues/29425) ([e691342](https://github.com/gatsbyjs/gatsby/commit/e691342e5f62dc4156b4e501edf260c773203c8b))

#### Other Changes

- Update the changelog of Contentful plugin to show a working example [#29579](https://github.com/gatsbyjs/gatsby/issues/29579) ([6bee561](https://github.com/gatsbyjs/gatsby/commit/6bee561c86da3ef38766c5208147d1d627e2ff49))

### [4.6.4](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.6.4/packages/gatsby-source-contentful) (2021-04-07)

#### Features

- Increase Contentful sync by up to 10x [#30422](https://github.com/gatsbyjs/gatsby/issues/30422) [#30643](https://github.com/gatsbyjs/gatsby/issues/30643) ([fc61c88](https://github.com/gatsbyjs/gatsby/commit/fc61c883d103a8fede1899aeb4f6fb9fa9516c76))

#### Bug Fixes

- Contentful page limit backoff [#30549](https://github.com/gatsbyjs/gatsby/issues/30549) [#30618](https://github.com/gatsbyjs/gatsby/issues/30618) ([4ffcf78](https://github.com/gatsbyjs/gatsby/commit/4ffcf785698527abed7e67f41ce45eef13b19ffb))
- Improve network error handling [#30257](https://github.com/gatsbyjs/gatsby/issues/30257) [#30617](https://github.com/gatsbyjs/gatsby/issues/30617) ([b3315a0](https://github.com/gatsbyjs/gatsby/commit/b3315a05af9903768e5325cc903edee8e9397c43))

### [4.6.3](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.6.3/packages/gatsby-source-contentful) (2021-02-24)

#### Bug Fixes

- retry on network errors when checking credentials [#29664](https://github.com/gatsbyjs/gatsby/issues/29664) [#29672](https://github.com/gatsbyjs/gatsby/issues/29672) ([2625159](https://github.com/gatsbyjs/gatsby/commit/26251592c17c1345744fa2e74fdc5b33243559d9))

### [4.6.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.6.2/packages/gatsby-source-contentful) (2021-02-18)

#### Bug Fixes

- Correct supported image formats [#29562](https://github.com/gatsbyjs/gatsby/issues/29562) ([febd5e4](https://github.com/gatsbyjs/gatsby/commit/febd5e4835f1377acd85b9c042ed674c4546bf45))

### [4.6.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.6.1/packages/gatsby-source-contentful) (2021-02-05)

**Note:** Version bump only for package gatsby-source-contentful

## [4.6.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.6.0/packages/gatsby-source-contentful) (2021-02-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.32)

#### Features

- Add gatsbyImageData resolver [#28236](https://github.com/gatsbyjs/gatsby/issues/28236) [#29095](https://github.com/gatsbyjs/gatsby/issues/29095) [#29162](https://github.com/gatsbyjs/gatsby/issues/29162) fix [#29163](https://github.com/gatsbyjs/gatsby/issues/29163) [#29067](https://github.com/gatsbyjs/gatsby/issues/29067) [#29137](https://github.com/gatsbyjs/gatsby/issues/29137) ([a823622](https://github.com/gatsbyjs/gatsby/commit/a82362267d2c842aa7dd3a65c8ffb8d51183c9eb))

#### Bug Fixes

- update minor and patch for gatsby-source-contentful [#29183](https://github.com/gatsbyjs/gatsby/issues/29183) ([392c8a3](https://github.com/gatsbyjs/gatsby/commit/392c8a371c26b54b3d3cd2d952794fdff1db970f))
- validation with environment [#29228](https://github.com/gatsbyjs/gatsby/issues/29228) ([fb38f8a](https://github.com/gatsbyjs/gatsby/commit/fb38f8a49c1421b62dcda55f39ce95a721ae92e3))
- sync crash with error response [#29212](https://github.com/gatsbyjs/gatsby/issues/29212) ([db05fe2](https://github.com/gatsbyjs/gatsby/commit/db05fe28aa2dcb4eccc780e6cb433c922978f83b))

#### Other Changes

- Add info to readme on use with new image plugin [#29297](https://github.com/gatsbyjs/gatsby/issues/29297) [#29301](https://github.com/gatsbyjs/gatsby/issues/29301) ([929281c](https://github.com/gatsbyjs/gatsby/commit/929281c1062ef9807dbadfc947232d2bfb4eb7e0))
- Revert "fix(gatsby-source-contentful): Add header" [#29102](https://github.com/gatsbyjs/gatsby/issues/29102) ([f4fe648](https://github.com/gatsbyjs/gatsby/commit/f4fe648df592b58509f65a4daab8206aa6e7b850))

### [4.5.3](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.5.3/packages/gatsby-source-contentful) (2021-01-29)

#### Bug Fixes

- validation with environment [#29228](https://github.com/gatsbyjs/gatsby/issues/29228) [#29265](https://github.com/gatsbyjs/gatsby/issues/29265) ([94e8132](https://github.com/gatsbyjs/gatsby/commit/94e8132104b03ced5f08519bf0502f19d6f89d26))

### [4.5.2](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.5.2/packages/gatsby-source-contentful) (2021-01-28)

#### Bug Fixes

- sync crash with error response [#29212](https://github.com/gatsbyjs/gatsby/issues/29212) [#29222](https://github.com/gatsbyjs/gatsby/issues/29222) ([1e70a98](https://github.com/gatsbyjs/gatsby/commit/1e70a98509e406f210625660fa44c045c1fa8aac))

### [4.5.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.5.1/packages/gatsby-source-contentful) (2021-01-21)

#### Other Changes

- Revert "fix(gatsby-source-contentful): Add header" [#29102](https://github.com/gatsbyjs/gatsby/issues/29102) [#29106](https://github.com/gatsbyjs/gatsby/issues/29106) ([80c316f](https://github.com/gatsbyjs/gatsby/commit/80c316f402e76687da6104a6817eeb69120b9d5b))

## [4.5.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.5.0/packages/gatsby-source-contentful) (2021-01-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.31)

#### Bug Fixes

- Improve base64 placeholders [#29034](https://github.com/gatsbyjs/gatsby/issues/29034) fixes [#24679](https://github.com/gatsbyjs/gatsby/issues/24679) ([f23ba4b](https://github.com/gatsbyjs/gatsby/commit/f23ba4b3b8adfaedccce6379158a76eb575b1d4c))
- update vulnerable packages, include React 17 in peerDeps [#28545](https://github.com/gatsbyjs/gatsby/issues/28545) ([18b5f30](https://github.com/gatsbyjs/gatsby/commit/18b5f30e367895aa5f3af46e4989b347912a0f35))
- apply useNameForId when creating the graphql schema [#28649](https://github.com/gatsbyjs/gatsby/issues/28649) ([a3ad6d7](https://github.com/gatsbyjs/gatsby/commit/a3ad6d71c549da973d3f03000e31c08d89b5a715))

#### Performance Improvements

- prevent redundant fs/remote fetches for tracedSVG [#28926](https://github.com/gatsbyjs/gatsby/issues/28926) ([addc9e9](https://github.com/gatsbyjs/gatsby/commit/addc9e968c2605405d9efd902c7ea9700efe3475))

#### Chores

- adjust Contentful Rich Text example codes [#29029](https://github.com/gatsbyjs/gatsby/issues/29029) ([332543c](https://github.com/gatsbyjs/gatsby/commit/332543c45b06831e7c72d712fafa0f2334196a11))
- plugin contentful - fix brand name, code blocks for names fix [#28915](https://github.com/gatsbyjs/gatsby/issues/28915) ([712e864](https://github.com/gatsbyjs/gatsby/commit/712e864d5d490117256a207c14bf064adea80f90))

#### Other Changes

- Fix/contentful add header [#29028](https://github.com/gatsbyjs/gatsby/issues/29028) ([168ff60](https://github.com/gatsbyjs/gatsby/commit/168ff6070015a2528107379d7aad990b142c1368))

### [4.4.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.4.1/packages/gatsby-source-contentful) (2021-01-16)

**Note:** Version bump only for package gatsby-source-contentful

## [4.4.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.4.0/packages/gatsby-source-contentful) (2021-01-06)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.30)

#### Performance Improvements

- dont re-create nodes [#28642](https://github.com/gatsbyjs/gatsby/issues/28642) ([3a51e22](https://github.com/gatsbyjs/gatsby/commit/3a51e2256eb548d21fe47ee0a078ee6fa027e845))
- use updatedAt field for digest verbatim [#28609](https://github.com/gatsbyjs/gatsby/issues/28609) ([756f437](https://github.com/gatsbyjs/gatsby/commit/756f4373c86aa9c481168cb751b79c86f12fb64a))

#### Chores

- fix locale debug output, again fix [#28582](https://github.com/gatsbyjs/gatsby/issues/28582) ([6a79ffc](https://github.com/gatsbyjs/gatsby/commit/6a79ffcf0c464fac9a8153103e47868071e8415d))

### [4.3.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.3.1/packages/gatsby-source-contentful) (2020-12-23)

**Note:** Version bump only for package gatsby-source-contentful

## [4.3.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.3.0/packages/gatsby-source-contentful) (2020-12-15)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.29)

#### Bug Fixes

- improve error handling, always show API response status and message [#27730](https://github.com/gatsbyjs/gatsby/issues/27730) ([079bb3c](https://github.com/gatsbyjs/gatsby/commit/079bb3c4ef4a6815ff3d871ee263721a0e8d5dcf))

#### Performance Improvements

- prevent redundant fs/remote fetches for base64 [#28438](https://github.com/gatsbyjs/gatsby/issues/28438) ([2755cfa](https://github.com/gatsbyjs/gatsby/commit/2755cfaa0e459dd47be32aa7b69bcf0f5950356a))
- fix unguided search in loop over large lists fix [#28375](https://github.com/gatsbyjs/gatsby/issues/28375) ([d9904ac](https://github.com/gatsbyjs/gatsby/commit/d9904ac69ec6abcd8e16f18056b0387c54d8c625))

#### Chores

- fix locale debug output, again fix [#28582](https://github.com/gatsbyjs/gatsby/issues/28582) fix [#28623](https://github.com/gatsbyjs/gatsby/issues/28623) ([81175a5](https://github.com/gatsbyjs/gatsby/commit/81175a56c0887d7d7c6d3f90ecb660e4fbf64b63))
- move locale filter [#28553](https://github.com/gatsbyjs/gatsby/issues/28553) ([4277b3d](https://github.com/gatsbyjs/gatsby/commit/4277b3dc298ca97fe8feb9fe5a0f67e0343b0b2e))
- fix output of debug message fix [#28573](https://github.com/gatsbyjs/gatsby/issues/28573) ([50df3a4](https://github.com/gatsbyjs/gatsby/commit/50df3a4377140444f56527475694b4c607b1e859))
- update dependency cross-env to ^7.0.3 [#28505](https://github.com/gatsbyjs/gatsby/issues/28505) ([a819b9b](https://github.com/gatsbyjs/gatsby/commit/a819b9bfb663139f7b06c3ed7d6d6069a2382b2c))
- drop last usages of lodash [#28441](https://github.com/gatsbyjs/gatsby/issues/28441) ([1853f3b](https://github.com/gatsbyjs/gatsby/commit/1853f3b0d6c96fcf85a20ea1dd0008aba277f989))
- simplify url arg generation [#28440](https://github.com/gatsbyjs/gatsby/issues/28440) ([297c28b](https://github.com/gatsbyjs/gatsby/commit/297c28ba5a4feab55c824ef999c4834c69652b18))
- drop unnecessary promise, \_.get [#28439](https://github.com/gatsbyjs/gatsby/issues/28439) ([299489c](https://github.com/gatsbyjs/gatsby/commit/299489c4bca81d791c3c8056c1a9cba6c5a971b7))
- trap base64 disk write [#28437](https://github.com/gatsbyjs/gatsby/issues/28437) ([faf0ee8](https://github.com/gatsbyjs/gatsby/commit/faf0ee8a892508c3b334509108c8c758c5a85df1))

### [4.2.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.2.1/packages/gatsby-source-contentful) (2020-12-07)

#### Performance Improvements

- prevent redundant fs/remote fetches for base64 [#28438](https://github.com/gatsbyjs/gatsby/issues/28438) [#28515](https://github.com/gatsbyjs/gatsby/issues/28515) ([e16f2b5](https://github.com/gatsbyjs/gatsby/commit/e16f2b5b4f73972729fe9c82ea0f4499f226b13f))

#### Chores

- trap base64 disk write [#28437](https://github.com/gatsbyjs/gatsby/issues/28437) [#28513](https://github.com/gatsbyjs/gatsby/issues/28513) ([6f984b6](https://github.com/gatsbyjs/gatsby/commit/6f984b6d994edf9401b62486fc6be6989f688a38))

## [4.2.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.2.0/packages/gatsby-source-contentful) (2020-12-02)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.28)

#### Bug Fixes

- fix the process.env.GATSBY_CONTENTFUL_EXPERIMENTAL_FORCE_CACHE flag fix [#28160](https://github.com/gatsbyjs/gatsby/issues/28160) ([e014a81](https://github.com/gatsbyjs/gatsby/commit/e014a817bcdb74e3f4ced857335d504f002de57b))

#### Performance Improvements

- fix unguided search in loop over large lists fix [#28375](https://github.com/gatsbyjs/gatsby/issues/28375) fix [#28404](https://github.com/gatsbyjs/gatsby/issues/28404) ([474dd36](https://github.com/gatsbyjs/gatsby/commit/474dd36dffd8a7b3c06c25aa958517bc9b62fedb))

### [4.1.1](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.1.1/packages/gatsby-source-contentful) (2020-11-23)

**Note:** Version bump only for package gatsby-source-contentful

## [4.1.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.1.0/packages/gatsby-source-contentful) (2020-11-20)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.27)

#### Bug Fixes

- update minor and patch for gatsby-source-contentful [#28091](https://github.com/gatsbyjs/gatsby/issues/28091) ([af86539](https://github.com/gatsbyjs/gatsby/commit/af865397a1b79937fa09475bcc3c6abeb0388687))

#### Chores

- update babel monorepo [#27528](https://github.com/gatsbyjs/gatsby/issues/27528) ([539dbb0](https://github.com/gatsbyjs/gatsby/commit/539dbb09166e346a6cee568973d2de3d936e8ef3))

#### Other Changes

- clean up changelog [#28000](https://github.com/gatsbyjs/gatsby/issues/28000) ([83a8f13](https://github.com/gatsbyjs/gatsby/commit/83a8f1343202f3773aad4e847ece67b33a829082))

## [4.0.0](https://github.com/gatsbyjs/gatsby/commits/gatsby-source-contentful@4.0.0/packages/gatsby-source-contentful) (2020-11-12)

[🧾 Release notes](https://www.gatsbyjs.com/docs/reference/release-notes/v2.26)

#### Other Changes

- Refactor Rich Text implementation in gatsby-source-contentful [#25249](https://github.com/gatsbyjs/gatsby/issues/25249) fixes [#24221](https://github.com/gatsbyjs/gatsby/issues/24221) ([a256346](https://github.com/gatsbyjs/gatsby/commit/a25634698205181e84f1067ebba0c4816fb742ed))
- Add error codes to reporter.panic in Contentful source plugin [#27457](https://github.com/gatsbyjs/gatsby/issues/27457) ([ae2c3da](https://github.com/gatsbyjs/gatsby/commit/ae2c3dab9fe6b26a968b7762892243914ee10a6b))

<a name="before-release-process"></a>

## [3.1.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.1.0...gatsby-source-contentful@3.1.1) (2020-11-03)

### Bug Fixes

- **gatsby-source-contentful:** default function returned invalid value ([#27797](https://github.com/gatsbyjs/gatsby/issues/27797)) ([e688bf0](https://github.com/gatsbyjs/gatsby/commit/e688bf0240dd06e232335f84933a677873ff1744))

# [3.1.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.7...gatsby-source-contentful@3.1.0) (2020-11-02)

### Features

- **gatsby:** release plugin option validation ([#27437](https://github.com/gatsbyjs/gatsby/issues/27437)) ([41ae1c0](https://github.com/gatsbyjs/gatsby/commit/41ae1c07ad9919655782ef17feed8cf4f14f12d8))

## [3.0.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.6...gatsby-source-contentful@3.0.7) (2020-11-02)

### Features

- log Contentful API responses when --verbose flag is set ([#27713](https://github.com/gatsbyjs/gatsby/issues/27713)) ([5611c0f](https://github.com/gatsbyjs/gatsby/commit/5611c0f4b1f03662e7f11813d08ee56cd2ca74f5))

## [3.0.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.5...gatsby-source-contentful@3.0.6) (2020-10-28)

**Note:** Version bump only for package gatsby-source-contentful

## [3.0.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.4...gatsby-source-contentful@3.0.5) (2020-10-27)

**Note:** Version bump only for package gatsby-source-contentful

## [3.0.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.3...gatsby-source-contentful@3.0.4) (2020-10-26)

### Bug Fixes

- **deps:** update minor and patch for gatsby-source-contentful ([#27539](https://github.com/gatsbyjs/gatsby/issues/27539)) ([0e54bae](https://github.com/gatsbyjs/gatsby/commit/0e54baefd5c6d460d89be6d684cb0bf6173445ca))

## [3.0.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.2...gatsby-source-contentful@3.0.3) (2020-10-22)

### Bug Fixes

- **gatsby-source-contentful:** set default for contentful asset workers ([#27586](https://github.com/gatsbyjs/gatsby/issues/27586)) ([d372db8](https://github.com/gatsbyjs/gatsby/commit/d372db810bbfc8a695b6220f0fe586149ec02def))

## [3.0.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.1...gatsby-source-contentful@3.0.2) (2020-10-21)

### Bug Fixes

- **gatsby-source-contentful:** fixed contentful asset download stalling with high number of assets ([#27563](https://github.com/gatsbyjs/gatsby/issues/27563)) ([dc0ce0c](https://github.com/gatsbyjs/gatsby/commit/dc0ce0c1152d486bc1e58ac7fcaac36924437de8))

## [3.0.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@3.0.0...gatsby-source-contentful@3.0.1) (2020-10-20)

**Note:** Version bump only for package gatsby-source-contentful

# [3.0.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.56...gatsby-source-contentful@3.0.0) (2020-10-19)

### Performance Improvements

- **gatsby-plugin-contentful:** drop the super expensive fixids cycle ([#27318](https://github.com/gatsbyjs/gatsby/issues/27318)) ([b316505](https://github.com/gatsbyjs/gatsby/commit/b3165058bce5dca1a0145dd2f0d518aaa6750add))

### BREAKING CHANGES

- **gatsby-plugin-contentful:** If you were relying on the `contentful_id` on the `sys` object in your queries those are no longer exposed and you can safely change them to the `id` property on that `sys` object.

If you were relying on the `id` property in the `sys` object, you should be aware that it is no longer "normalized". In particular, it will no longer get a 'c' prefixed to the id.

## [2.3.56](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.55...gatsby-source-contentful@2.3.56) (2020-10-19)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.55](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.54...gatsby-source-contentful@2.3.55) (2020-10-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.54](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.53...gatsby-source-contentful@2.3.54) (2020-10-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.53](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.52...gatsby-source-contentful@2.3.53) (2020-10-15)

### Features

- **gatsby-source-contentful:** add tool to force-cache remote data to debug ([#27404](https://github.com/gatsbyjs/gatsby/issues/27404)) ([2964b62](https://github.com/gatsbyjs/gatsby/commit/2964b62962f51a738d907bbcd03811595907fc18))

### Performance Improvements

- **gatsby-source-contentful:** change O(n\*m) loop to O(n+m) ([#27448](https://github.com/gatsbyjs/gatsby/issues/27448)) ([e6162dd](https://github.com/gatsbyjs/gatsby/commit/e6162dd97ee90d4f1ffab58ea8a70e1c8bbff292))
- **gatsby-source-contentful:** do not linear search on a potentially large set ([#27447](https://github.com/gatsbyjs/gatsby/issues/27447)) ([9d304ed](https://github.com/gatsbyjs/gatsby/commit/9d304ed3c63069a976bc4be85df2e876512149e0))

## [2.3.52](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.51...gatsby-source-contentful@2.3.52) (2020-10-13)

### Bug Fixes

- **deps:** update minor and patch for gatsby-source-contentful ([#27393](https://github.com/gatsbyjs/gatsby/issues/27393)) ([5e51fed](https://github.com/gatsbyjs/gatsby/commit/5e51fedd3c45232bd9e200534aa1b1d2135d8ad9))

## [2.3.51](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.50...gatsby-source-contentful@2.3.51) (2020-10-08)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.50](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.49...gatsby-source-contentful@2.3.50) (2020-10-06)

### Performance Improvements

- **gatsby-source-contentful:** fix API, execute deprecations, improve performance ([#27244](https://github.com/gatsbyjs/gatsby/issues/27244)) ([7bf2bdb](https://github.com/gatsbyjs/gatsby/commit/7bf2bdbf0de545db7c8a1b540cfffb0641a7137a)), closes [#23514](https://github.com/gatsbyjs/gatsby/issues/23514) [#15084](https://github.com/gatsbyjs/gatsby/issues/15084) [#23514](https://github.com/gatsbyjs/gatsby/issues/23514) [#26238](https://github.com/gatsbyjs/gatsby/issues/26238) [#26102](https://github.com/gatsbyjs/gatsby/issues/26102) [#26875](https://github.com/gatsbyjs/gatsby/issues/26875) [#23904](https://github.com/gatsbyjs/gatsby/issues/23904)

## [2.3.49](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.48...gatsby-source-contentful@2.3.49) (2020-10-01)

### Bug Fixes

- **gatsby-source-contentful:** Add file-extension to remote cached items ([#25924](https://github.com/gatsbyjs/gatsby/issues/25924)) ([bfd46f8](https://github.com/gatsbyjs/gatsby/commit/bfd46f8edf18a49cda1b2731733bae88144540aa))

## [2.3.48](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.47...gatsby-source-contentful@2.3.48) (2020-09-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.47](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.46...gatsby-source-contentful@2.3.47) (2020-09-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.46](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.45...gatsby-source-contentful@2.3.46) (2020-09-15)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.45](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.44...gatsby-source-contentful@2.3.45) (2020-09-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.44](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.43...gatsby-source-contentful@2.3.44) (2020-09-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.43](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.42...gatsby-source-contentful@2.3.43) (2020-09-08)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.42](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.41...gatsby-source-contentful@2.3.42) (2020-09-07)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.41](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.40...gatsby-source-contentful@2.3.41) (2020-08-31)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.40](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.39...gatsby-source-contentful@2.3.40) (2020-08-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.39](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.38...gatsby-source-contentful@2.3.39) (2020-08-26)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.37...gatsby-source-contentful@2.3.38) (2020-08-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.36...gatsby-source-contentful@2.3.37) (2020-08-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.35...gatsby-source-contentful@2.3.36) (2020-08-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.34...gatsby-source-contentful@2.3.35) (2020-08-05)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.33...gatsby-source-contentful@2.3.34) (2020-07-30)

### Bug Fixes

- **gatsby-source-contentful:** support height parameter for srcset ([#25776](https://github.com/gatsbyjs/gatsby/issues/25776)) ([5148b3a](https://github.com/gatsbyjs/gatsby/commit/5148b3a))

## [2.3.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.32...gatsby-source-contentful@2.3.33) (2020-07-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.31...gatsby-source-contentful@2.3.32) (2020-07-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.30...gatsby-source-contentful@2.3.31) (2020-07-23)

### Performance Improvements

- **gatsby-source-contentful:** speed up resolving of huge spaces ([#25954](https://github.com/gatsbyjs/gatsby/issues/25954)) ([8868896](https://github.com/gatsbyjs/gatsby/commit/8868896)), closes [#25464](https://github.com/gatsbyjs/gatsby/issues/25464)

## [2.3.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.29...gatsby-source-contentful@2.3.30) (2020-07-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.28...gatsby-source-contentful@2.3.29) (2020-07-21)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.27...gatsby-source-contentful@2.3.28) (2020-07-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.26...gatsby-source-contentful@2.3.27) (2020-07-17)

### Features

- **gatsby-source-contentful:** Give "Asset" the same Sys fields as "Entry" ([#25030](https://github.com/gatsbyjs/gatsby/issues/25030)) ([067468a](https://github.com/gatsbyjs/gatsby/commit/067468a))

## [2.3.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.25...gatsby-source-contentful@2.3.26) (2020-07-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.24...gatsby-source-contentful@2.3.25) (2020-07-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.23...gatsby-source-contentful@2.3.24) (2020-07-07)

### Performance Improvements

- **gatsby-plugin-contentful:** use internal cache to get nodes by type ([#25467](https://github.com/gatsbyjs/gatsby/issues/25467)) ([05a73b7](https://github.com/gatsbyjs/gatsby/commit/05a73b7))
- **gatsby-source-contentful:** experimental flag to skip id normalization ([#25473](https://github.com/gatsbyjs/gatsby/issues/25473)) ([da38276](https://github.com/gatsbyjs/gatsby/commit/da38276))

## [2.3.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.22...gatsby-source-contentful@2.3.23) (2020-07-06)

### Bug Fixes

- **gatsby-source-contentful:** dont ship fixtures when publishing ([#25472](https://github.com/gatsbyjs/gatsby/issues/25472)) ([0c5aea8](https://github.com/gatsbyjs/gatsby/commit/0c5aea8))

## [2.3.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.21...gatsby-source-contentful@2.3.22) (2020-07-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.20...gatsby-source-contentful@2.3.21) (2020-07-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.19...gatsby-source-contentful@2.3.20) (2020-07-01)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.18...gatsby-source-contentful@2.3.19) (2020-07-01)

### Bug Fixes

- update packages ([#25381](https://github.com/gatsbyjs/gatsby/issues/25381)) ([622e3c1](https://github.com/gatsbyjs/gatsby/commit/622e3c1))

## [2.3.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.17...gatsby-source-contentful@2.3.18) (2020-06-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.16...gatsby-source-contentful@2.3.17) (2020-06-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.15...gatsby-source-contentful@2.3.16) (2020-06-19)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.14...gatsby-source-contentful@2.3.15) (2020-06-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.13...gatsby-source-contentful@2.3.14) (2020-06-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.12...gatsby-source-contentful@2.3.13) (2020-06-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.11...gatsby-source-contentful@2.3.12) (2020-05-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.10...gatsby-source-contentful@2.3.11) (2020-05-20)

### Bug Fixes

- **gatsby-source-contentful:** Use https instead of http when downloading assets ([#24227](https://github.com/gatsbyjs/gatsby/issues/24227)) ([b49f74b](https://github.com/gatsbyjs/gatsby/commit/b49f74b))

## [2.3.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.9...gatsby-source-contentful@2.3.10) (2020-05-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.8...gatsby-source-contentful@2.3.9) (2020-05-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.7...gatsby-source-contentful@2.3.8) (2020-05-19)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.6...gatsby-source-contentful@2.3.7) (2020-05-19)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.5...gatsby-source-contentful@2.3.6) (2020-05-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.4...gatsby-source-contentful@2.3.5) (2020-05-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.3...gatsby-source-contentful@2.3.4) (2020-05-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.2...gatsby-source-contentful@2.3.3) (2020-05-07)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.1...gatsby-source-contentful@2.3.2) (2020-05-05)

**Note:** Version bump only for package gatsby-source-contentful

## [2.3.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.3.0...gatsby-source-contentful@2.3.1) (2020-04-28)

### Bug Fixes

- update packages ([#23525](https://github.com/gatsbyjs/gatsby/issues/23525)) ([e65dd1e](https://github.com/gatsbyjs/gatsby/commit/e65dd1e))

# [2.3.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.10...gatsby-source-contentful@2.3.0) (2020-04-27)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.9...gatsby-source-contentful@2.2.10) (2020-04-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.8...gatsby-source-contentful@2.2.9) (2020-04-17)

### Bug Fixes

- wrap ignore pattern in quotes ([#23176](https://github.com/gatsbyjs/gatsby/issues/23176)) ([7563db6](https://github.com/gatsbyjs/gatsby/commit/7563db6))

## [2.2.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.7...gatsby-source-contentful@2.2.8) (2020-04-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.6...gatsby-source-contentful@2.2.7) (2020-04-04)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.5...gatsby-source-contentful@2.2.6) (2020-04-03)

### Bug Fixes

- **gatsby-source-contentful:** use request url for base64 image cache key ([#22745](https://github.com/gatsbyjs/gatsby/issues/22745)) ([cfd2384](https://github.com/gatsbyjs/gatsby/commit/cfd2384))

## [2.2.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.4...gatsby-source-contentful@2.2.5) (2020-03-26)

### Performance Improvements

- **gatsby-source-contentful:** Add cache for remote thumnails ([#22551](https://github.com/gatsbyjs/gatsby/issues/22551)) ([7abf4d7](https://github.com/gatsbyjs/gatsby/commit/7abf4d7))

## [2.2.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.3...gatsby-source-contentful@2.2.4) (2020-03-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.2...gatsby-source-contentful@2.2.3) (2020-03-23)

### Bug Fixes

- **gatsby-plugin-contentful:** wait for contentTypes to be created) ([#22307](https://github.com/gatsbyjs/gatsby/issues/22307)) ([75b041e](https://github.com/gatsbyjs/gatsby/commit/75b041e))

## [2.2.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.1...gatsby-source-contentful@2.2.2) (2020-03-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.2.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.2.0...gatsby-source-contentful@2.2.1) (2020-03-20)

**Note:** Version bump only for package gatsby-source-contentful

# [2.2.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.100...gatsby-source-contentful@2.2.0) (2020-03-20)

### Features

- **gatsby:** bump node min version to 10.13.0 ([#22400](https://github.com/gatsbyjs/gatsby/issues/22400)) ([83d681a](https://github.com/gatsbyjs/gatsby/commit/83d681a))

## [2.1.100](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.99...gatsby-source-contentful@2.1.100) (2020-03-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.99](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.98...gatsby-source-contentful@2.1.99) (2020-03-18)

### Bug Fixes

- update dependency axios to ^0.19.2 ([#22317](https://github.com/gatsbyjs/gatsby/issues/22317)) ([91e780f](https://github.com/gatsbyjs/gatsby/commit/91e780f))
- **readme:** Update Readme gatsby-source-contentful missing co… ([#22339](https://github.com/gatsbyjs/gatsby/issues/22339)) ([ab59162](https://github.com/gatsbyjs/gatsby/commit/ab59162))

## [2.1.98](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.97...gatsby-source-contentful@2.1.98) (2020-03-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.97](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.96...gatsby-source-contentful@2.1.97) (2020-03-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.96](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.95...gatsby-source-contentful@2.1.96) (2020-03-12)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.95](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.94...gatsby-source-contentful@2.1.95) (2020-03-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.94](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.93...gatsby-source-contentful@2.1.94) (2020-03-10)

### Bug Fixes

- **gatsby-source-contentful:** Don’t crash when GATSBY_CONTENTFUL_OFFLINE and downloadLocal are used ([#21472](https://github.com/gatsbyjs/gatsby/issues/21472)) ([02471fc](https://github.com/gatsbyjs/gatsby/commit/02471fc)), closes [#21463](https://github.com/gatsbyjs/gatsby/issues/21463)

## [2.1.93](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.92...gatsby-source-contentful@2.1.93) (2020-03-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.92](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.91...gatsby-source-contentful@2.1.92) (2020-03-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.91](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.90...gatsby-source-contentful@2.1.91) (2020-03-06)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.90](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.89...gatsby-source-contentful@2.1.90) (2020-03-06)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.89](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.88...gatsby-source-contentful@2.1.89) (2020-02-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.88](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.87...gatsby-source-contentful@2.1.88) (2020-02-26)

### Bug Fixes

- **gatsby-source-contentful:** prevent unpublished Contentful entries from breaking content sync ([#21765](https://github.com/gatsbyjs/gatsby/issues/21765)) ([11274db](https://github.com/gatsbyjs/gatsby/commit/11274db))

## [2.1.87](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.86...gatsby-source-contentful@2.1.87) (2020-02-24)

### Bug Fixes

- **gatsby-source-contentful:** Add panic messaging to builds with no locales ([#21667](https://github.com/gatsbyjs/gatsby/issues/21667)) ([6979816](https://github.com/gatsbyjs/gatsby/commit/6979816))
- check that richTextOptions exists before using it ([#21648](https://github.com/gatsbyjs/gatsby/issues/21648)) ([80acb8d](https://github.com/gatsbyjs/gatsby/commit/80acb8d))
- fix Contentful sync limit ([#21644](https://github.com/gatsbyjs/gatsby/issues/21644)) ([af921bb](https://github.com/gatsbyjs/gatsby/commit/af921bb))

### Features

- add an option to resolve locales in entries referenced by rich text ([#21619](https://github.com/gatsbyjs/gatsby/issues/21619)) ([0666df7](https://github.com/gatsbyjs/gatsby/commit/0666df7))

## [2.1.86](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.85...gatsby-source-contentful@2.1.86) (2020-02-13)

### Bug Fixes

- **gatsby-source-contentful:** Remove whitespace from default long text value ([#21412](https://github.com/gatsbyjs/gatsby/issues/21412)) ([bed3684](https://github.com/gatsbyjs/gatsby/commit/bed3684))

## [2.1.85](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.84...gatsby-source-contentful@2.1.85) (2020-02-01)

### Features

- **gatsby-source-contentful:** Add page limit to gatsby-source-contentful ([#21030](https://github.com/gatsbyjs/gatsby/issues/21030)) ([8f11c7d](https://github.com/gatsbyjs/gatsby/commit/8f11c7d))

## [2.1.84](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.83...gatsby-source-contentful@2.1.84) (2020-01-29)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.83](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.82...gatsby-source-contentful@2.1.83) (2020-01-29)

### Performance Improvements

- **gatsby-source-contentful:** remove recursion in fixIds ([#20837](https://github.com/gatsbyjs/gatsby/issues/20837)) ([996e951](https://github.com/gatsbyjs/gatsby/commit/996e951))

## [2.1.82](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.81...gatsby-source-contentful@2.1.82) (2020-01-27)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.81](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.80...gatsby-source-contentful@2.1.81) (2020-01-27)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.80](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.79...gatsby-source-contentful@2.1.80) (2020-01-27)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.79](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.78...gatsby-source-contentful@2.1.79) (2020-01-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.78](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.77...gatsby-source-contentful@2.1.78) (2020-01-21)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.77](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.76...gatsby-source-contentful@2.1.77) (2020-01-16)

### Bug Fixes

- **gatsby-source-contentful:** LongText fields require markdown transformer ([#20398](https://github.com/gatsbyjs/gatsby/issues/20398)) ([1ad7bbb](https://github.com/gatsbyjs/gatsby/commit/1ad7bbb)), closes [/github.com/gatsbyjs/gatsby/issues/3205#issuecomment-351603320](https://github.com//github.com/gatsbyjs/gatsby/issues/3205/issues/issuecomment-351603320)

## [2.1.76](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.75...gatsby-source-contentful@2.1.76) (2020-01-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.75](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.73...gatsby-source-contentful@2.1.75) (2020-01-09)

### Bug Fixes

- **gatsby-transformer-sharp:** define required image fields as non-null in schema ([#20314](https://github.com/gatsbyjs/gatsby/issues/20314)) ([e3026c9](https://github.com/gatsbyjs/gatsby/commit/e3026c9))

### Features

- **gatsby-source-contentful:** Add option to use Content Type ID for GraphQL schema generation ([#20265](https://github.com/gatsbyjs/gatsby/issues/20265)) ([0e71cfb](https://github.com/gatsbyjs/gatsby/commit/0e71cfb))

## [2.1.74](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.73...gatsby-source-contentful@2.1.74) (2020-01-09)

### Bug Fixes

- **gatsby-transformer-sharp:** define required image fields as non-null in schema ([#20314](https://github.com/gatsbyjs/gatsby/issues/20314)) ([e3026c9](https://github.com/gatsbyjs/gatsby/commit/e3026c9))

### Features

- **gatsby-source-contentful:** Add option to use Content Type ID for GraphQL schema generation ([#20265](https://github.com/gatsbyjs/gatsby/issues/20265)) ([0e71cfb](https://github.com/gatsbyjs/gatsby/commit/0e71cfb))

## [2.1.73](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.72...gatsby-source-contentful@2.1.73) (2019-12-23)

### Bug Fixes

- **gatsby-source-contentful:** Add contentful_id field recursi… ([#20258](https://github.com/gatsbyjs/gatsby/issues/20258)) ([deb41cd](https://github.com/gatsbyjs/gatsby/commit/deb41cd))

## [2.1.72](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.71...gatsby-source-contentful@2.1.72) (2019-12-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.71](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.70...gatsby-source-contentful@2.1.71) (2019-12-17)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.70](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.69...gatsby-source-contentful@2.1.70) (2019-12-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.69](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.67...gatsby-source-contentful@2.1.69) (2019-12-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.68](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.67...gatsby-source-contentful@2.1.68) (2019-12-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.67](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.66...gatsby-source-contentful@2.1.67) (2019-12-05)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.66](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.65...gatsby-source-contentful@2.1.66) (2019-12-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.65](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.64...gatsby-source-contentful@2.1.65) (2019-11-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.64](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.63...gatsby-source-contentful@2.1.64) (2019-11-26)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.63](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.62...gatsby-source-contentful@2.1.63) (2019-11-25)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.62](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.61...gatsby-source-contentful@2.1.62) (2019-11-20)

### Features

- **gatsby-source-contentful:** handle SELF_SIGNED_CERT_IN_CHAIN error. ([#19161](https://github.com/gatsbyjs/gatsby/issues/19161)) ([62dd3d1](https://github.com/gatsbyjs/gatsby/commit/62dd3d1))

## [2.1.61](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.60...gatsby-source-contentful@2.1.61) (2019-11-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.60](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.59...gatsby-source-contentful@2.1.60) (2019-11-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.59](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.58...gatsby-source-contentful@2.1.59) (2019-11-15)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.58](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.57...gatsby-source-contentful@2.1.58) (2019-11-15)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.57](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.56...gatsby-source-contentful@2.1.57) (2019-11-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.56](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.55...gatsby-source-contentful@2.1.56) (2019-11-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.55](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.54...gatsby-source-contentful@2.1.55) (2019-11-04)

### Bug Fixes

- **gatsby-source-contentful:** fix crash when downloading asset with a file that doesn't have a url ([#19218](https://github.com/gatsbyjs/gatsby/issues/19218)) ([0b57a3c](https://github.com/gatsbyjs/gatsby/commit/0b57a3c))

## [2.1.54](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.53...gatsby-source-contentful@2.1.54) (2019-10-29)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.53](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.52...gatsby-source-contentful@2.1.53) (2019-10-29)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.52](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.51...gatsby-source-contentful@2.1.52) (2019-10-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.51](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.50...gatsby-source-contentful@2.1.51) (2019-10-28)

### Bug Fixes

- update minor updates in packages ([#18875](https://github.com/gatsbyjs/gatsby/issues/18875)) ([b692879](https://github.com/gatsbyjs/gatsby/commit/b692879))

## [2.1.50](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.49...gatsby-source-contentful@2.1.50) (2019-10-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.49](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.48...gatsby-source-contentful@2.1.49) (2019-10-14)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.48](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.47...gatsby-source-contentful@2.1.48) (2019-10-14)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.47](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.46...gatsby-source-contentful@2.1.47) (2019-10-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.46](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.45...gatsby-source-contentful@2.1.46) (2019-10-08)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.45](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.44...gatsby-source-contentful@2.1.45) (2019-10-04)

### Bug Fixes

- update dependency bluebird to ^3.7.0 ([#18029](https://github.com/gatsbyjs/gatsby/issues/18029)) ([bd235a8](https://github.com/gatsbyjs/gatsby/commit/bd235a8))
- **gatsby-source-contentful:** Take space id into account during node creation ([#17923](https://github.com/gatsbyjs/gatsby/issues/17923)) ([fdd57d3](https://github.com/gatsbyjs/gatsby/commit/fdd57d3))

## [2.1.44](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.42...gatsby-source-contentful@2.1.44) (2019-09-26)

### Bug Fixes

- **gatsby-source-contentful:** Allow proxy to be passed in to… ([#17574](https://github.com/gatsbyjs/gatsby/issues/17574)) ([744c07d](https://github.com/gatsbyjs/gatsby/commit/744c07d))

## [2.1.43](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.42...gatsby-source-contentful@2.1.43) (2019-09-26)

### Bug Fixes

- **gatsby-source-contentful:** Allow proxy to be passed in to… ([#17574](https://github.com/gatsbyjs/gatsby/issues/17574)) ([744c07d](https://github.com/gatsbyjs/gatsby/commit/744c07d))

## [2.1.42](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.41...gatsby-source-contentful@2.1.42) (2019-09-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.41](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.40...gatsby-source-contentful@2.1.41) (2019-09-23)

### Bug Fixes

- update dependency qs to ^6.9.0 ([#17802](https://github.com/gatsbyjs/gatsby/issues/17802)) ([8119d4b](https://github.com/gatsbyjs/gatsby/commit/8119d4b))

## [2.1.40](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.39...gatsby-source-contentful@2.1.40) (2019-09-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.39](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.38...gatsby-source-contentful@2.1.39) (2019-09-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.37...gatsby-source-contentful@2.1.38) (2019-09-18)

### Bug Fixes

- **gatsby-source-contentful:** Fixing when assets are in draft state ([#17571](https://github.com/gatsbyjs/gatsby/issues/17571)) ([7e40c1e](https://github.com/gatsbyjs/gatsby/commit/7e40c1e))

## [2.1.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.36...gatsby-source-contentful@2.1.37) (2019-09-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.35...gatsby-source-contentful@2.1.36) (2019-09-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.34...gatsby-source-contentful@2.1.35) (2019-09-10)

### Bug Fixes

- **gatsby-source-contentful:** Prevent TypeError if many-to-on… ([#17500](https://github.com/gatsbyjs/gatsby/issues/17500)) ([fde5de6](https://github.com/gatsbyjs/gatsby/commit/fde5de6))

## [2.1.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.33...gatsby-source-contentful@2.1.34) (2019-09-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.32...gatsby-source-contentful@2.1.33) (2019-09-05)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.31...gatsby-source-contentful@2.1.32) (2019-09-04)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.30...gatsby-source-contentful@2.1.31) (2019-09-04)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.29...gatsby-source-contentful@2.1.30) (2019-09-01)

### Bug Fixes

- update minor updates in packages except react, babel and eslint ([#17254](https://github.com/gatsbyjs/gatsby/issues/17254)) ([252d867](https://github.com/gatsbyjs/gatsby/commit/252d867))

## [2.1.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.28...gatsby-source-contentful@2.1.29) (2019-08-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.27...gatsby-source-contentful@2.1.28) (2019-08-24)

### Bug Fixes

- update dependency fs-extra to v8 ([#17031](https://github.com/gatsbyjs/gatsby/issues/17031)) ([d891a19](https://github.com/gatsbyjs/gatsby/commit/d891a19))
- update dependency is-online to v8 ([#17037](https://github.com/gatsbyjs/gatsby/issues/17037)) ([fef7a8c](https://github.com/gatsbyjs/gatsby/commit/fef7a8c))

## [2.1.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.26...gatsby-source-contentful@2.1.27) (2019-08-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.25...gatsby-source-contentful@2.1.26) (2019-08-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.24...gatsby-source-contentful@2.1.25) (2019-08-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.23...gatsby-source-contentful@2.1.24) (2019-08-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.22...gatsby-source-contentful@2.1.23) (2019-08-21)

### Bug Fixes

- update dependency bluebird to ^3.5.5 ([#16825](https://github.com/gatsbyjs/gatsby/issues/16825)) ([ec0be83](https://github.com/gatsbyjs/gatsby/commit/ec0be83))
- update dependency chalk to ^2.4.2 ([#16830](https://github.com/gatsbyjs/gatsby/issues/16830)) ([3c89607](https://github.com/gatsbyjs/gatsby/commit/3c89607))
- update dependency contentful to ^6.1.3 ([#16838](https://github.com/gatsbyjs/gatsby/issues/16838)) ([53f67a7](https://github.com/gatsbyjs/gatsby/commit/53f67a7))
- update dependency fs-extra to ^4.0.3 ([#16876](https://github.com/gatsbyjs/gatsby/issues/16876)) ([2cc762d](https://github.com/gatsbyjs/gatsby/commit/2cc762d))

## [2.1.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.21...gatsby-source-contentful@2.1.22) (2019-08-21)

### Bug Fixes

- update dependency base64-img to ^1.0.4 ([#16813](https://github.com/gatsbyjs/gatsby/issues/16813)) ([ea39f67](https://github.com/gatsbyjs/gatsby/commit/ea39f67))

## [2.1.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.20...gatsby-source-contentful@2.1.21) (2019-08-20)

### Bug Fixes

- update dependency [@hapi](https://github.com/hapi)/joi to ^15.1.1 ([#16796](https://github.com/gatsbyjs/gatsby/issues/16796)) ([2cfc19c](https://github.com/gatsbyjs/gatsby/commit/2cfc19c))

## [2.1.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.19...gatsby-source-contentful@2.1.20) (2019-08-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.18...gatsby-source-contentful@2.1.19) (2019-08-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.17...gatsby-source-contentful@2.1.18) (2019-08-06)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.16...gatsby-source-contentful@2.1.17) (2019-08-01)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.15...gatsby-source-contentful@2.1.16) (2019-07-30)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.14...gatsby-source-contentful@2.1.15) (2019-07-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.13...gatsby-source-contentful@2.1.14) (2019-07-17)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.12...gatsby-source-contentful@2.1.13) (2019-07-13)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.11...gatsby-source-contentful@2.1.12) (2019-07-12)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.10...gatsby-source-contentful@2.1.11) (2019-07-12)

### Bug Fixes

- correct links in package changelogs ([#15630](https://github.com/gatsbyjs/gatsby/issues/15630)) ([d07b9dd](https://github.com/gatsbyjs/gatsby/commit/d07b9dd))

## [2.1.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.9...gatsby-source-contentful@2.1.10) (2019-07-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.8...gatsby-source-contentful@2.1.9) (2019-07-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.7...gatsby-source-contentful@2.1.8) (2019-07-06)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.6...gatsby-source-contentful@2.1.7) (2019-07-05)

### Bug Fixes

- **gatsby-source-contentful:** include locale in asset cache key ([#14994](https://github.com/gatsbyjs/gatsby/issues/14994)) ([e6fb93a](https://github.com/gatsbyjs/gatsby/commit/e6fb93a))

## [2.1.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.5...gatsby-source-contentful@2.1.6) (2019-07-03)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.4...gatsby-source-contentful@2.1.5) (2019-07-02)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.3...gatsby-source-contentful@2.1.4) (2019-07-01)

### Features

- **gatsby-source-contentful:** Add option to not use sync tokens ([#15203](https://github.com/gatsbyjs/gatsby/issues/15203)) ([251f9a8](https://github.com/gatsbyjs/gatsby/commit/251f9a8))

## [2.1.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.2...gatsby-source-contentful@2.1.3) (2019-06-25)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.1...gatsby-source-contentful@2.1.2) (2019-06-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.1.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.1.0...gatsby-source-contentful@2.1.1) (2019-06-21)

**Note:** Version bump only for package gatsby-source-contentful

# [2.1.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.75...gatsby-source-contentful@2.1.0) (2019-06-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.75](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.72...gatsby-source-contentful@2.0.75) (2019-06-19)

### Bug Fixes

- fix gatsby-cli dep in source-filesystem & plugin-sharp ([#14881](https://github.com/gatsbyjs/gatsby/issues/14881)) ([2594623](https://github.com/gatsbyjs/gatsby/commit/2594623))

## [2.0.74](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.73...gatsby-source-contentful@2.0.74) (2019-06-19)

### Bug Fixes

- fix gatsby-cli dep in source-filesystem & plugin-sharp ([#14881](https://github.com/gatsbyjs/gatsby/issues/14881)) ([2594623](https://github.com/gatsbyjs/gatsby/commit/2594623))

## [2.0.73](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.72...gatsby-source-contentful@2.0.73) (2019-06-18)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.72](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.71...gatsby-source-contentful@2.0.72) (2019-06-18)

### Bug Fixes

- **gatsby-source-contentful:** Restricts images to 4000 max image width/height ([#14760](https://github.com/gatsbyjs/gatsby/issues/14760)) ([177d35c](https://github.com/gatsbyjs/gatsby/commit/177d35c))

## [2.0.71](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.69...gatsby-source-contentful@2.0.71) (2019-06-12)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.70](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.69...gatsby-source-contentful@2.0.70) (2019-06-12)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.69](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.68...gatsby-source-contentful@2.0.69) (2019-06-10)

### Features

- **gatsby-source-contentful:** Remove default image transform width ([#14159](https://github.com/gatsbyjs/gatsby/issues/14159)) ([d24e22f](https://github.com/gatsbyjs/gatsby/commit/d24e22f))

## [2.0.68](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.67...gatsby-source-contentful@2.0.68) (2019-06-10)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.67](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.66...gatsby-source-contentful@2.0.67) (2019-05-31)

### Bug Fixes

- **gatsby-source-contentful:** add query to the subsequent api call ([#14449](https://github.com/gatsbyjs/gatsby/issues/14449)) ([45fcefb](https://github.com/gatsbyjs/gatsby/commit/45fcefb))

## [2.0.66](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.65...gatsby-source-contentful@2.0.66) (2019-05-31)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.65](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.64...gatsby-source-contentful@2.0.65) (2019-05-29)

### Bug Fixes

- **gatsby-source-contentful:** Don't set default widths ([#14361](https://github.com/gatsbyjs/gatsby/issues/14361)) ([ee83270](https://github.com/gatsbyjs/gatsby/commit/ee83270))

## [2.0.64](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.63...gatsby-source-contentful@2.0.64) (2019-05-29)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.63](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.62...gatsby-source-contentful@2.0.63) (2019-05-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.62](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.61...gatsby-source-contentful@2.0.62) (2019-05-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.61](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.60...gatsby-source-contentful@2.0.61) (2019-05-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.60](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.59...gatsby-source-contentful@2.0.60) (2019-05-18)

### Features

- **gatsby-source-contentful:** add options validation and more detailed error messages ([#9231](https://github.com/gatsbyjs/gatsby/issues/9231)) ([68cb1a5](https://github.com/gatsbyjs/gatsby/commit/68cb1a5))

## [2.0.59](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.58...gatsby-source-contentful@2.0.59) (2019-05-16)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.58](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.57...gatsby-source-contentful@2.0.58) (2019-05-15)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.57](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.56...gatsby-source-contentful@2.0.57) (2019-05-14)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.56](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.55...gatsby-source-contentful@2.0.56) (2019-05-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.55](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.54...gatsby-source-contentful@2.0.55) (2019-05-03)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.54](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.53...gatsby-source-contentful@2.0.54) (2019-04-30)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.53](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.52...gatsby-source-contentful@2.0.53) (2019-04-24)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.52](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.51...gatsby-source-contentful@2.0.52) (2019-04-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.51](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.50...gatsby-source-contentful@2.0.51) (2019-04-23)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.50](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.49...gatsby-source-contentful@2.0.50) (2019-04-17)

### Features

- **gatsby-source-contentful:** add locale filter ([#12939](https://github.com/gatsbyjs/gatsby/issues/12939)) ([6421c5b](https://github.com/gatsbyjs/gatsby/commit/6421c5b))

## [2.0.49](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.48...gatsby-source-contentful@2.0.49) (2019-04-15)

### Bug Fixes

- **gatsby-source-contentful:** add missing "face" crop focus option ([#13364](https://github.com/gatsbyjs/gatsby/issues/13364)) ([68340bf](https://github.com/gatsbyjs/gatsby/commit/68340bf))

## [2.0.48](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.47...gatsby-source-contentful@2.0.48) (2019-04-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.47](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.46...gatsby-source-contentful@2.0.47) (2019-04-09)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.46](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.45...gatsby-source-contentful@2.0.46) (2019-04-08)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.45](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.44...gatsby-source-contentful@2.0.45) (2019-03-27)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.44](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.43...gatsby-source-contentful@2.0.44) (2019-03-25)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.43](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.42...gatsby-source-contentful@2.0.43) (2019-03-25)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.42](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.41...gatsby-source-contentful@2.0.42) (2019-03-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.41](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.40...gatsby-source-contentful@2.0.41) (2019-03-20)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.40](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.39...gatsby-source-contentful@2.0.40) (2019-03-18)

### Bug Fixes

- **gatsby-source-contentful:** Add gatsby-source-filesystem as dependency ([#12612](https://github.com/gatsbyjs/gatsby/issues/12612)) ([0e6d7a1](https://github.com/gatsbyjs/gatsby/commit/0e6d7a1))

## [2.0.39](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.38...gatsby-source-contentful@2.0.39) (2019-03-15)

### Features

- **gatsby-source-contentful:** Support storing assets locally ([#10682](https://github.com/gatsbyjs/gatsby/issues/10682)) ([6d7bd76](https://github.com/gatsbyjs/gatsby/commit/6d7bd76))

## [2.0.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.37...gatsby-source-contentful@2.0.38) (2019-03-12)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.36...gatsby-source-contentful@2.0.37) (2019-03-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.35...gatsby-source-contentful@2.0.36) (2019-03-11)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.34...gatsby-source-contentful@2.0.35) (2019-03-05)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.33...gatsby-source-contentful@2.0.34) (2019-03-04)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.32...gatsby-source-contentful@2.0.33) (2019-02-28)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.31...gatsby-source-contentful@2.0.32) (2019-02-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.30...gatsby-source-contentful@2.0.31) (2019-02-22)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.29...gatsby-source-contentful@2.0.30) (2019-02-19)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.28...gatsby-source-contentful@2.0.29) (2019-02-01)

**Note:** Version bump only for package gatsby-source-contentful

## [2.0.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.27...gatsby-source-contentful@2.0.28) (2019-01-29)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.27"></a>

## [2.0.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.26...gatsby-source-contentful@2.0.27) (2019-01-23)

### Bug Fixes

- **gatsby-source-contentful:** checking if entryItemFieldValue[0] exists ([#11087](https://github.com/gatsbyjs/gatsby/issues/11087)) ([a11f79a](https://github.com/gatsbyjs/gatsby/commit/a11f79a))

<a name="2.0.26"></a>

## [2.0.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.24...gatsby-source-contentful@2.0.26) (2019-01-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.24"></a>

## [2.0.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.23...gatsby-source-contentful@2.0.24) (2019-01-11)

### Bug Fixes

- **gatsby-source-contentful:** Fix check for fluid and fixed size filters ([#11009](https://github.com/gatsbyjs/gatsby/issues/11009)) ([aeb2bbd](https://github.com/gatsbyjs/gatsby/commit/aeb2bbd))

<a name="2.0.23"></a>

## [2.0.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.22...gatsby-source-contentful@2.0.23) (2019-01-09)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.22"></a>

## [2.0.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.21...gatsby-source-contentful@2.0.22) (2018-12-27)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.21"></a>

## [2.0.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.20...gatsby-source-contentful@2.0.21) (2018-12-21)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.20"></a>

## [2.0.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.19...gatsby-source-contentful@2.0.20) (2018-12-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.19"></a>

## [2.0.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.18...gatsby-source-contentful@2.0.19) (2018-12-07)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.18"></a>

## [2.0.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.17...gatsby-source-contentful@2.0.18) (2018-12-05)

### Features

- **gatsby-source-contentful:** enable RichText for all users ([#10301](https://github.com/gatsbyjs/gatsby/issues/10301)) ([ce65534](https://github.com/gatsbyjs/gatsby/commit/ce65534))

<a name="2.0.17"></a>

## [2.0.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.16...gatsby-source-contentful@2.0.17) (2018-12-03)

### Bug Fixes

- **gatsby-source-contentful:** use safe stringification for Rich Text fields ([#10228](https://github.com/gatsbyjs/gatsby/issues/10228)) ([2d2ac7c](https://github.com/gatsbyjs/gatsby/commit/2d2ac7c))

<a name="2.0.16"></a>

## [2.0.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.15...gatsby-source-contentful@2.0.16) (2018-11-29)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.15"></a>

## [2.0.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.14...gatsby-source-contentful@2.0.15) (2018-11-21)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.14"></a>

## [2.0.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.13...gatsby-source-contentful@2.0.14) (2018-11-12)

### Bug Fixes

- **gatsby-source-contentful:** Remove unused argument ([#9866](https://github.com/gatsbyjs/gatsby/issues/9866)) ([88fffb5](https://github.com/gatsbyjs/gatsby/commit/88fffb5))

<a name="2.0.13"></a>

## [2.0.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.12...gatsby-source-contentful@2.0.13) (2018-11-08)

### Bug Fixes

- **gatsby-source-contentful:** fix structured content fields ([#9768](https://github.com/gatsbyjs/gatsby/issues/9768)) ([b7992fb](https://github.com/gatsbyjs/gatsby/commit/b7992fb))

<a name="2.0.12"></a>

## [2.0.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.11...gatsby-source-contentful@2.0.12) (2018-11-06)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.11"></a>

## [2.0.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.10...gatsby-source-contentful@2.0.11) (2018-11-05)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.10"></a>

## [2.0.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.9...gatsby-source-contentful@2.0.10) (2018-11-01)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.9"></a>

## [2.0.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.8...gatsby-source-contentful@2.0.9) (2018-10-29)

### Features

- **gatsby:** Add nodes db module ([#9416](https://github.com/gatsbyjs/gatsby/issues/9416)) ([7d31fe7](https://github.com/gatsbyjs/gatsby/commit/7d31fe7)), closes [#9338](https://github.com/gatsbyjs/gatsby/issues/9338)

<a name="2.0.8"></a>

## [2.0.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.7...gatsby-source-contentful@2.0.8) (2018-10-29)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.7"></a>

## [2.0.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.6...gatsby-source-contentful@2.0.7) (2018-10-29)

### Features

- **gatsby-source-contentful:** adds CENTER option to ImageCropFocusType ([#9473](https://github.com/gatsbyjs/gatsby/issues/9473)) ([cc8c60d](https://github.com/gatsbyjs/gatsby/commit/cc8c60d))

<a name="2.0.6"></a>

## [2.0.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.5...gatsby-source-contentful@2.0.6) (2018-10-24)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.5"></a>

## [2.0.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.4...gatsby-source-contentful@2.0.5) (2018-10-23)

### Bug Fixes

- **gatsby-source-contentful:** fix missing linked assets when editing unrelated fields ([#9303](https://github.com/gatsbyjs/gatsby/issues/9303)) ([3969a94](https://github.com/gatsbyjs/gatsby/commit/3969a94))

### Features

- **gatsby-source-contentful:** add structured text node type ([#8214](https://github.com/gatsbyjs/gatsby/issues/8214)) ([57f48ef](https://github.com/gatsbyjs/gatsby/commit/57f48ef))

<a name="2.0.4"></a>

## [2.0.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.3...gatsby-source-contentful@2.0.4) (2018-10-16)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.3"></a>

## [2.0.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.2...gatsby-source-contentful@2.0.3) (2018-10-10)

### Features

- store sync token for contentful preview ([#8814](https://github.com/gatsbyjs/gatsby/issues/8814)) ([365942b](https://github.com/gatsbyjs/gatsby/commit/365942b))

<a name="2.0.2"></a>

## [2.0.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1...gatsby-source-contentful@2.0.2) (2018-10-03)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1"></a>

## [2.0.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.9...gatsby-source-contentful@2.0.1) (2018-09-17)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.9"></a>

## [2.0.1-rc.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.8...gatsby-source-contentful@2.0.1-rc.9) (2018-09-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.8"></a>

## [2.0.1-rc.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.7...gatsby-source-contentful@2.0.1-rc.8) (2018-09-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.7"></a>

## [2.0.1-rc.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.6...gatsby-source-contentful@2.0.1-rc.7) (2018-09-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.6"></a>

## [2.0.1-rc.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.5...gatsby-source-contentful@2.0.1-rc.6) (2018-09-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.5"></a>

## [2.0.1-rc.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.4...gatsby-source-contentful@2.0.1-rc.5) (2018-09-07)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.4"></a>

## [2.0.1-rc.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.3...gatsby-source-contentful@2.0.1-rc.4) (2018-09-05)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.3"></a>

## [2.0.1-rc.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.2...gatsby-source-contentful@2.0.1-rc.3) (2018-08-31)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.2"></a>

## [2.0.1-rc.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.1...gatsby-source-contentful@2.0.1-rc.2) (2018-08-29)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.1"></a>

## [2.0.1-rc.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-rc.0...gatsby-source-contentful@2.0.1-rc.1) (2018-08-29)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-rc.0"></a>

## [2.0.1-rc.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.18...gatsby-source-contentful@2.0.1-rc.0) (2018-08-21)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.18"></a>

## [2.0.1-beta.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.17...gatsby-source-contentful@2.0.1-beta.18) (2018-08-16)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.17"></a>

## [2.0.1-beta.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.16...gatsby-source-contentful@2.0.1-beta.17) (2018-08-16)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.16"></a>

## [2.0.1-beta.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.15...gatsby-source-contentful@2.0.1-beta.16) (2018-08-14)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.15"></a>

## [2.0.1-beta.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.14...gatsby-source-contentful@2.0.1-beta.15) (2018-07-21)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.14"></a>

## [2.0.1-beta.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.13...gatsby-source-contentful@2.0.1-beta.14) (2018-07-20)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.13"></a>

## [2.0.1-beta.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.12...gatsby-source-contentful@2.0.1-beta.13) (2018-07-13)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.12"></a>

## [2.0.1-beta.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.11...gatsby-source-contentful@2.0.1-beta.12) (2018-07-13)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.11"></a>

## [2.0.1-beta.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.10...gatsby-source-contentful@2.0.1-beta.11) (2018-07-11)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.10"></a>

## [2.0.1-beta.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.9...gatsby-source-contentful@2.0.1-beta.10) (2018-07-09)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.9"></a>

## [2.0.1-beta.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.8...gatsby-source-contentful@2.0.1-beta.9) (2018-07-06)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.8"></a>

## [2.0.1-beta.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.7...gatsby-source-contentful@2.0.1-beta.8) (2018-06-25)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.7"></a>

## [2.0.1-beta.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.6...gatsby-source-contentful@2.0.1-beta.7) (2018-06-25)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.6"></a>

## [2.0.1-beta.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.5...gatsby-source-contentful@2.0.1-beta.6) (2018-06-23)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.5"></a>

## [2.0.1-beta.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.4...gatsby-source-contentful@2.0.1-beta.5) (2018-06-21)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.4"></a>

## [2.0.1-beta.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.3...gatsby-source-contentful@2.0.1-beta.4) (2018-06-20)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.3"></a>

## [2.0.1-beta.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.2...gatsby-source-contentful@2.0.1-beta.3) (2018-06-20)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.2"></a>

## [2.0.1-beta.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.1...gatsby-source-contentful@2.0.1-beta.2) (2018-06-19)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.1"></a>

## [2.0.1-beta.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@2.0.1-beta.0...gatsby-source-contentful@2.0.1-beta.1) (2018-06-17)

**Note:** Version bump only for package gatsby-source-contentful

<a name="2.0.1-beta.0"></a>

## [2.0.1-beta.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-contentful@1.3.54...gatsby-source-contentful@2.0.1-beta.0) (2018-06-17)

**Note:** Version bump only for package gatsby-source-contentful
